package com.autonavi.amapauto.jni.protocol;

import android.content.Intent;
import android.os.SystemClock;
import android.util.Base64;
import com.alibaba.wireless.security.SecExceptionCode;
import com.autonavi.amapauto.adapter.internal.widget.AutoSimilarWidgetService;
import com.autonavi.amapauto.jni.GAdaAndroid;
import com.autonavi.amapauto.jni.config.AndroidAdapterConfiger;
import com.autonavi.amapauto.jni.protocol.data.ALResponeData;
import com.autonavi.amapauto.jni.protocol.data.AreaInfoData;
import com.autonavi.amapauto.jni.protocol.data.AutoUserInfoData;
import com.autonavi.amapauto.jni.protocol.data.CarEnterpriseUserInfoData;
import com.autonavi.amapauto.jni.protocol.data.CarHWStatusData;
import com.autonavi.amapauto.jni.protocol.data.CarLocationInfo;
import com.autonavi.amapauto.jni.protocol.data.ChargingProcessInformationData;
import com.autonavi.amapauto.jni.protocol.data.CoordinateInfoData;
import com.autonavi.amapauto.jni.protocol.data.DriveWayData;
import com.autonavi.amapauto.jni.protocol.data.EnergyPredictionData;
import com.autonavi.amapauto.jni.protocol.data.ExtScreenControlData;
import com.autonavi.amapauto.jni.protocol.data.GuideInfoProtocolData;
import com.autonavi.amapauto.jni.protocol.data.HomeCompanyDispatchData;
import com.autonavi.amapauto.jni.protocol.data.IntervalCameraData;
import com.autonavi.amapauto.jni.protocol.data.JsonParam;
import com.autonavi.amapauto.jni.protocol.data.LocNmeaInfo;
import com.autonavi.amapauto.jni.protocol.data.LocationInfo;
import com.autonavi.amapauto.jni.protocol.data.ManeuverIconData;
import com.autonavi.amapauto.jni.protocol.data.MessageCompentData;
import com.autonavi.amapauto.jni.protocol.data.MidPoiData;
import com.autonavi.amapauto.jni.protocol.data.NaviParkingData;
import com.autonavi.amapauto.jni.protocol.data.PoiData;
import com.autonavi.amapauto.jni.protocol.data.PowerInfoData;
import com.autonavi.amapauto.jni.protocol.data.PowerPredictionData;
import com.autonavi.amapauto.jni.protocol.data.RouteRequestData;
import com.autonavi.amapauto.jni.protocol.data.RouteResultData;
import com.autonavi.amapauto.jni.protocol.data.SearchData;
import com.autonavi.amapauto.jni.protocol.data.SpecialPoiNaviData;
import com.autonavi.amapauto.jni.protocol.data.TSRInfo;
import com.autonavi.amapauto.jni.protocol.data.TmcSegmentData;
import com.autonavi.amapauto.jni.protocol.data.TripReportData;
import com.autonavi.amapauto.protocol.constant.StandardProtocolKey;
import com.autonavi.amapauto.protocol.model.service.RspGpsStatusNotifyModel;
import com.autonavi.amapauto.settings.AndroidSystemSetting;
import com.autonavi.amapauto.widget.jni.AndroidWidgetCruise;
import com.autonavi.amapauto.widget.jni.AndroidWidgetMap;
import com.autonavi.amapauto.widget.jni.AndroidWidgetNavi;
import com.autonavi.autofloat.FloatWindowManagerNative;
import com.autonavi.indooroutdoordetectorsdk.IndoorOutdoorDetector;
import defpackage.a50;
import defpackage.aa0;
import defpackage.ax;
import defpackage.ay;
import defpackage.b40;
import defpackage.bb0;
import defpackage.bx;
import defpackage.by;
import defpackage.bz;
import defpackage.c40;
import defpackage.cx;
import defpackage.cz;
import defpackage.d00;
import defpackage.dg;
import defpackage.dx;
import defpackage.dy;
import defpackage.e10;
import defpackage.ee;
import defpackage.ei0;
import defpackage.ex;
import defpackage.ey;
import defpackage.ez;
import defpackage.fv;
import defpackage.fx;
import defpackage.fz;
import defpackage.ga0;
import defpackage.gs;
import defpackage.gx;
import defpackage.gy;
import defpackage.hv;
import defpackage.hy;
import defpackage.i10;
import defpackage.i20;
import defpackage.iy;
import defpackage.iz;
import defpackage.jp;
import defpackage.jy;
import defpackage.jz;
import defpackage.k00;
import defpackage.k60;
import defpackage.ke;
import defpackage.kr;
import defpackage.ky;
import defpackage.l20;
import defpackage.lx;
import defpackage.mb0;
import defpackage.mf;
import defpackage.mx;
import defpackage.n40;
import defpackage.n80;
import defpackage.n90;
import defpackage.ns;
import defpackage.nx;
import defpackage.o00;
import defpackage.ob0;
import defpackage.of;
import defpackage.oq;
import defpackage.ox;
import defpackage.oy;
import defpackage.pf;
import defpackage.ps;
import defpackage.pw;
import defpackage.px;
import defpackage.py;
import defpackage.q40;
import defpackage.q80;
import defpackage.qs;
import defpackage.qx;
import defpackage.qy;
import defpackage.r30;
import defpackage.r90;
import defpackage.rp;
import defpackage.rs;
import defpackage.rw;
import defpackage.rx;
import defpackage.sr;
import defpackage.sx;
import defpackage.t30;
import defpackage.t80;
import defpackage.tr;
import defpackage.tw;
import defpackage.tx;
import defpackage.u20;
import defpackage.ur;
import defpackage.uw;
import defpackage.ux;
import defpackage.uy;
import defpackage.vd;
import defpackage.vr;
import defpackage.vy;
import defpackage.w30;
import defpackage.wr;
import defpackage.wy;
import defpackage.x40;
import defpackage.xy;
import defpackage.yw;
import defpackage.z10;
import defpackage.zw;
import defpackage.zx;
import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import java.util.concurrent.CountDownLatch;

/* loaded from: classes.dex */
public class AndroidProtocolExe {
    public static int DEFAULT_VALID_VALUE = -99;
    public static final String EHP_CONFIG_FILE = "ehp_config_version.properties";
    public static final String TAG = "AndroidProtocolExe";
    public static boolean isHmiSwtichReady = false;
    public static int mAutoStatus = -1;
    public static HashMap<Integer, ns> locationConvertLatchHolderHashMap = new HashMap<>();
    public static String EHP_VERSION = null;
    public static Map<Integer, Integer> integerPropertyMap = new HashMap();
    public static Map<Integer, Float> floatPropertyMap = new HashMap();

    /* loaded from: classes.dex */
    public static class a implements Runnable {
        @Override // java.lang.Runnable
        public void run() {
            gs.p().m();
        }
    }

    /* loaded from: classes.dex */
    public static class b implements Runnable {
        @Override // java.lang.Runnable
        public void run() {
            gs.p().n();
        }
    }

    /* loaded from: classes.dex */
    public static class c implements Runnable {
        @Override // java.lang.Runnable
        public void run() {
            PowerInfoData l = jp.I().l();
            if (l != null) {
                aa0.a(AndroidProtocolExe.TAG, "ChannelManager getPowertrainLoss to setPowerInfo:{?}", l.toString());
                AndroidProtocolExe.setPowerInfo(l);
            }
        }
    }

    public static native void answerEnergyPrediction(EnergyPredictionData energyPredictionData);

    public static native void answerPowerPrediction(PowerPredictionData powerPredictionData);

    public static native void bindAutoUser(int i, String str, String str2, String str3, String str4, String str5, String str6, String str7, String str8);

    @Deprecated
    public static native void carBindUser(int i, String str, String str2, String str3, String str4, String str5, String str6, String str7, String str8, int i2);

    public static void dispatchALCConfigInfo(String str) {
        aa0.a(TAG, "dispatchALCConfigInfo configJson:{?}", str);
        fv.e().a((dx) new rw(str));
    }

    public static void dispatchAutoStatus(int i, int i2) {
        mAutoStatus = i;
        aa0.a(TAG, "dispatchAutoStatus status:{?}, statusDetails{?}", Integer.valueOf(i), Integer.valueOf(i2));
        fv.e().a((dx) new ax(i, i2));
        if (i == 2) {
            AutoSimilarWidgetService.n().n();
        }
    }

    public static void dispatchGuideInfo(GuideInfoProtocolData guideInfoProtocolData) {
        jp.I().a(guideInfoProtocolData);
        ay ayVar = new ay(guideInfoProtocolData);
        ayVar.c = guideInfoProtocolData.requestCode;
        fv.e().a((dx) ayVar);
        ob0.x().a(guideInfoProtocolData);
        ei0.e().a(guideInfoProtocolData);
        jp.I().b(guideInfoProtocolData);
        of.e().a(guideInfoProtocolData);
    }

    public static void doOperaMap(int i, int i2, int i3) {
        doOperaMap(i, i2, i3, 0);
    }

    public static native void doOperaMap(int i, int i2, int i3, int i4);

    public static native void getAreaInfoAction(int i, double d, double d2);

    public static String getEhpVersion() {
        if (EHP_VERSION == null) {
            EHP_VERSION = "";
            InputStream inputStream = null;
            try {
                inputStream = ee.A().f().getResources().getAssets().open(EHP_CONFIG_FILE);
                Properties properties = new Properties();
                properties.load(inputStream);
                EHP_VERSION = properties.getProperty("version");
                inputStream.close();
            } catch (IOException e) {
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (IOException e2) {
                        e2.printStackTrace();
                        aa0.a(TAG, "getEhpVersion ocuur a Exception:{?}", e2, new Object[0]);
                    }
                }
                aa0.a(TAG, "getEhpVersion ocuur a Exception:{?}", e, new Object[0]);
            }
        }
        aa0.a(TAG, "getEhpVersion EHP_VERSION:{?}", EHP_VERSION);
        return EHP_VERSION;
    }

    public static native void getFavoriteInfo(int i, int i2);

    public static int getLastAutoStatus() {
        dispatchAutoStatus(mAutoStatus);
        return mAutoStatus;
    }

    public static native void getLastAutoStatus(int i);

    public static native void getLastGuideInfo(int i);

    public static native void getProviderFavoriteInfo(int i, double d, double d2, int i2);

    public static boolean getReadyStatus() {
        return isHmiSwtichReady;
    }

    public static CarEnterpriseUserInfoData getUnionUserInfo() {
        aa0.a(TAG, "[getUnionUserInfo]", new Object[0]);
        return n80.a();
    }

    public static void homeCompanyInfoNotify(HomeCompanyDispatchData homeCompanyDispatchData) {
        aa0.a(TAG, "homeCompanyInfoNotify data:{?}", homeCompanyDispatchData);
        ob0.x().a(homeCompanyDispatchData);
    }

    public static void jniALSimulatePlayback(int i, String str, String str2, String str3) {
        String str4;
        UnsupportedEncodingException e;
        aa0.a(TAG, "[ALSimulate] jniALSimulatePlayback protocolType = {?} protocolContent = {?} protocolId = {?} version = {?}", Integer.valueOf(i), str, str2, str3);
        if ("202012101229".equals(str3)) {
            try {
                str4 = new String(Base64.decode(str.getBytes("UTF-8"), 2));
            } catch (UnsupportedEncodingException e2) {
                str4 = str;
                e = e2;
            }
            try {
                aa0.a(TAG, "[ALSimulate] jniALSimulatePlayback base64 decode protocolContent = {?} ", str4);
            } catch (UnsupportedEncodingException e3) {
                e = e3;
                aa0.a(TAG, e.toString(), new Object[0]);
                str = str4;
                k60.b().a(i, str, str2, str3);
            }
            str = str4;
        }
        k60.b().a(i, str, str2, str3);
    }

    public static boolean jniAcquireQREnable() {
        boolean z = jp.I().z();
        aa0.a(TAG, "jniAcquireQREnable customId:" + jp.I().w().o(15111) + " isQREnableFlag:" + z, new Object[0]);
        return z;
    }

    public static void jniAvoidJamMessageShow(String str, int i) {
        fv.e().a((dx) new bx(str, i));
    }

    public static void jniAvoidJamOperateStatus(boolean z) {
        aa0.a(TAG, "jniAvoidJamOperateStatus isAvoid = {?}", Boolean.valueOf(z));
        fv.e().a((dx) new cx(z));
    }

    public static void jniDispatchArStatus(int i) {
        aa0.a(TAG, "jniDispatchArStatus", new Object[0]);
        fv.e().a((dx) new yw(i));
    }

    public static void jniDispatchExtScreenMapLevel(int i, float f) {
        aa0.a(TAG, "dispatchExtScreenMapLevel engineId:{?}, mapLevel:{?}", Integer.valueOf(i), Float.valueOf(f));
        fv.e().a((dx) new sx(i, f));
    }

    public static void jniDispatchLocNmeaInfo(LocNmeaInfo locNmeaInfo) {
        aa0.a(TAG, "jniDispatchLocNmeaInfo LocNmeaInfo: timestamp={?}, gpgga={?}, gpgll={?}, gpgsa={?}, gpgsv={?}, gprmc={?}, gpvtg={?}, course={?}, drStatus={?}, ew={?}, lat={?}, lon={?}, matchLat={?}, matchLon={?}, ns={?}, posAcc={?}", Long.valueOf(locNmeaInfo.timestamp), locNmeaInfo.gpgga, locNmeaInfo.gpgll, locNmeaInfo.gpgsa, locNmeaInfo.gpgsv, locNmeaInfo.gprmc, locNmeaInfo.gpvtg, Float.valueOf(locNmeaInfo.course), Integer.valueOf(locNmeaInfo.drStatus), locNmeaInfo.ew, Double.valueOf(locNmeaInfo.lat), Double.valueOf(locNmeaInfo.lon), Double.valueOf(locNmeaInfo.matchLat), Double.valueOf(locNmeaInfo.matchLon), locNmeaInfo.ns, Float.valueOf(locNmeaInfo.posAcc));
        fv.e().a((dx) new ox(locNmeaInfo));
    }

    public static void jniDispatchPassViaPoi(String str, int i) {
        aa0.a(TAG, "jniDispatchPassViaPoi viaPoiInfo :{?} passControl:{?}", str, Integer.valueOf(i));
        fv.e().a((dx) new oy(str, i));
    }

    public static void jniDispatchPoiInfo(PoiData poiData) {
        aa0.a(TAG, "jniDispatchPoiInfo", new Object[0]);
        fv.e().a((dx) new nx(poiData));
    }

    public static void jniDispatchTripReport(TripReportData tripReportData) {
        if (tripReportData != null) {
            aa0.a(TAG, "jniDispatchTripReport driveDistance:{?} driveTime:{?} aveSpeed:{?}", tripReportData.driveDistance, tripReportData.driveTime, tripReportData.aveSpeed);
            fv.e().a((dx) new e10(tripReportData));
        } else {
            aa0.a(TAG, "jniDispatchTripReport:reportData must not be null", (Throwable) null, new Object[0]);
        }
    }

    public static void jniDispatchVolumeMuteState(int i) {
        aa0.a(TAG, "jniDispatchVolumeMuteState", new Object[0]);
        fv.e().a((dx) new jz(i));
    }

    public static void jniFloatPropertyRegistering() {
        aa0.a(TAG, "jniFloatPropertyRegistering", new Object[0]);
        for (Map.Entry<Integer, Float> entry : floatPropertyMap.entrySet()) {
            nativeFloatProperty(entry.getKey().intValue(), entry.getValue().floatValue());
        }
    }

    public static void jniGetPhotoReq(long j, int i) {
        aa0.a(TAG, "jniGetPhotoReq time:{?} requestcode:{?}", Long.valueOf(j), Integer.valueOf(i));
        py pyVar = new py();
        pyVar.a(j);
        pyVar.a(i);
        fv.e().a((dx) pyVar);
    }

    public static void jniIntPropertyRegistering() {
        aa0.a(TAG, "jniIntPropertyRegistering", new Object[0]);
        for (Map.Entry<Integer, Integer> entry : integerPropertyMap.entrySet()) {
            nativeIntProperty(entry.getKey().intValue(), entry.getValue().intValue());
        }
    }

    public static void jniNotifyCarCompanyLogin() {
        aa0.a(TAG, "jniNotifyCarCompanyLogin", new Object[0]);
        fv.e().a((dx) new a50());
        AndroidSystemSetting.callSystemApp(2);
    }

    public static void jniNotifyFavInfoUpdate(int i, PoiData poiData) {
        aa0.a(TAG, "jniNotifyFavInfoUpdate editType:{?}", Integer.valueOf(i));
        fv.e().a((dx) new x40(i, poiData));
    }

    public static void jniPlaySettingStatus(int i) {
        aa0.a(TAG, "jniPlaySettingStatus openBtnStatus={?}", Integer.valueOf(i));
        fv.e().a((dx) new qy(i));
    }

    public static void jniRequestAutoTheme() {
        aa0.a(TAG, "jniRequestAutoTheme", new Object[0]);
        fv.e().a((dx) new uy());
    }

    public static void jniRequestCarHWStatus(int i) {
        aa0.a(TAG, "jniRequestCarHWStatus", new Object[0]);
        fv.e().a((dx) new vy(i));
    }

    public static void jniRequestSystemFont() {
        aa0.a(TAG, "jniRequestSystemFont", new Object[0]);
        fv.e().a((dx) new wy());
    }

    public static void jniResponseCallback(Object obj) {
        Object[] objArr = new Object[2];
        boolean z = obj instanceof ALResponeData;
        objArr[0] = Integer.valueOf(z ? ((ALResponeData) obj).requestALId : -1);
        objArr[1] = obj;
        aa0.a(TAG, "jniResponseCallback requestId:{?}, resultData:{?}", objArr);
        if (z) {
            ALResponeData aLResponeData = (ALResponeData) obj;
            int i = aLResponeData.requestALId;
            if (jp.I().a(aLResponeData)) {
                jp.I().a(i, aLResponeData);
                return;
            } else if (i == 5102 || i == 5103 || i == 5104) {
                ga0.a().a(obj);
                return;
            }
        }
        fv.e().a(obj);
    }

    public static void jniReturnIfly(int i, String str) {
        aa0.a(TAG, "jniReturnIfly state:{?},str:{?}", Integer.valueOf(i), str);
        if (mf.i().g()) {
            mf.i().a(str);
        } else if (dg.e().c()) {
            dg.e().a(str);
        } else {
            ee.A().a(i, str);
        }
    }

    public static void jniSendArHudArrivePoint(sr srVar) {
        aa0.a(TAG, "jniSendArHudArrivePoint viaPointType:{?}", Integer.valueOf(srVar.a));
        fv.e().a((dx) new tw(srVar));
    }

    public static void jniSendArHudChangeLineData(tr trVar) {
        aa0.a(TAG, "jniSendArHudChangeLineData changeLineExist:{?}", Integer.valueOf(trVar.a));
        fv.e().a((dx) new uw(trVar));
    }

    public static void jniSendArHudGuideLineData(ur urVar) {
        urVar.a();
        throw null;
    }

    public static void jniSendArHudRouteInfoData(vr vrVar) {
        vrVar.a();
        throw null;
    }

    public static void jniSendArHudTbtData(wr wrVar) {
        wrVar.a();
        throw null;
    }

    public static void jniSendConvertedLocationInfo(int i, double d, double d2) {
        aa0.a(TAG, "jniSendConvertedLocationInfo dataType:{?},latitude:{?},longitude:{?}", Integer.valueOf(i), Double.valueOf(d), Double.valueOf(d2));
        fv.e().a((dx) new l20(i, d, d2));
    }

    public static void jniSendConvertedNewLocationInfo(int i, double d, double d2, int i2) {
        aa0.a(TAG, "jniSendConvertedNewLocationInfo enter", new Object[0]);
        ns nsVar = locationConvertLatchHolderHashMap.get(Integer.valueOf(i2));
        if (nsVar != null) {
            nsVar.f = d;
            nsVar.g = d2;
            CountDownLatch countDownLatch = nsVar.c;
            if (countDownLatch != null) {
                countDownLatch.countDown();
            }
            aa0.a(TAG, "jniSendConvertedNewLocationInfo convertLatchHolder:{?}", nsVar);
        }
    }

    public static void jniSendDataPathState(int i, String str) {
        fv.e().a((dx) new lx(str));
    }

    public static void jniSendDialogInfo(int i, String str, String str2, String str3, String str4, String str5) {
        fv.e().a((dx) new mx(i, str, str2, str3, str4, str5));
    }

    public static void jniSendDriveGasInfo(int i) {
        aa0.a(TAG, "jniSendDriveGasInfo type:{?}", Integer.valueOf(i));
        fv.e().a((dx) new px(i));
    }

    public static void jniSendExtScreenStatus(ExtScreenControlData extScreenControlData) {
        aa0.a(TAG, "jniSendExtScreenStatus controlData={?}", extScreenControlData);
        i10 i10Var = new i10();
        i10Var.a(extScreenControlData);
        fv.e().a((dx) i10Var);
    }

    public static void jniSendFactoryDataClearResult(int i) {
        fv.e().a((dx) new z10(i));
    }

    public static void jniSendHomeCompany(HomeCompanyDispatchData homeCompanyDispatchData) {
        aa0.a(TAG, "jniSendHomeCompany data:{?}", homeCompanyDispatchData);
        if (homeCompanyDispatchData == null || -1 == homeCompanyDispatchData.type) {
            return;
        }
        fv.e().a((dx) new dy(homeCompanyDispatchData));
        if (AndroidAdapterConfiger.nativeGetBooleanValue(IndoorOutdoorDetector.MSG_GPS_DISABLED)) {
            jy jyVar = new jy();
            jyVar.b(1);
            jyVar.a(homeCompanyDispatchData);
            fv.e().a((dx) jyVar);
        }
    }

    public static void jniSendIntervalCameraInfo(IntervalCameraData intervalCameraData) {
        aa0.a(TAG, "jniSendIntervalCameraInfo data:" + intervalCameraData, new Object[0]);
        fv.e().a((dx) new ey(intervalCameraData));
    }

    public static void jniSendManeuverIconData(ManeuverIconData maneuverIconData) {
        aa0.a(TAG, "jniSendManeuverIconData iconId:{?} aroundNum:{?}", Integer.valueOf(maneuverIconData.getIconId()), Integer.valueOf(maneuverIconData.getAroundNum()));
        fv.e().a((dx) new d00(maneuverIconData));
    }

    public static void jniSendMessageBar(MessageCompentData messageCompentData) {
        aa0.a(TAG, "jniSendMessageBar msgType = {?}, isShow={?}, isTop={?}, content={?}", Integer.valueOf(messageCompentData.msgType), Boolean.valueOf(messageCompentData.isShow), Boolean.valueOf(messageCompentData.isTop), messageCompentData.content);
        if (2 == messageCompentData.msgType && messageCompentData.isShow) {
            fv.e().a((dx) new rx(messageCompentData));
        }
        if (!messageCompentData.isShow) {
            fv.e().a((dx) new iy(messageCompentData.msgType));
        }
        if (3 == messageCompentData.msgType) {
            jy jyVar = new jy();
            jyVar.b(messageCompentData.isShow ? 1 : 0);
            jyVar.c(messageCompentData.content);
            fv.e().a((dx) jyVar);
        }
        if (5 == messageCompentData.msgType && !messageCompentData.isShow) {
            jy jyVar2 = new jy();
            jyVar2.a(4);
            fv.e().a((dx) jyVar2);
        }
        if (7 == messageCompentData.msgType) {
            jy jyVar3 = new jy();
            jyVar3.b(messageCompentData.isShow ? 1 : 0);
            jyVar3.d(messageCompentData.content);
            fv.e().a((dx) jyVar3);
        }
        int i = messageCompentData.msgType;
        if (14 == i || 15 == i) {
            jy jyVar4 = new jy();
            jyVar4.b(messageCompentData.isShow ? 1 : 0);
            jyVar4.a(messageCompentData.msgType, messageCompentData.content);
            fv.e().a((dx) jyVar4);
        }
    }

    public static void jniSendMidPoiInfo(MidPoiData midPoiData) {
        aa0.a(TAG, "jniSendMidPoiInfo ", new Object[0]);
        if (midPoiData == null || midPoiData.getMidPoiList() == null) {
            aa0.a(TAG, "jniSendMidPoiInfo midPoiData == null || midPoiData.getMidPoiList() == null", new Object[0]);
        }
        fv.e().a((dx) new ky(midPoiData));
    }

    public static void jniSendNaviParkingInfo(NaviParkingData naviParkingData) {
        fv.e().a((dx) new k00(naviParkingData));
    }

    public static void jniSendRouteInfo(RouteResultData routeResultData) {
        aa0.a(TAG, "jniSendRouteInfo", new Object[0]);
        fv.e().a((dx) new o00(routeResultData));
    }

    public static void jniSendSearchList(int i, int i2, int i3, int i4, int i5, int i6) {
        aa0.a(TAG, "jniSendSearchList poiNum:{?}", Integer.valueOf(i));
        fv.e().a((dx) new n40(i, i2, i3, i4, i5, i6));
    }

    public static void jniSendTrafficReportResult(int i) {
        aa0.a(TAG, "jniSendTrafficReportResult type = %d", Integer.valueOf(i));
        fv.e().a((dx) new ez(i));
    }

    public static void jniSendViewControlStatus(int i, boolean z) {
        aa0.a(TAG, "jniSendViewControlStatus type:{?} isSuccess:{?}", Integer.valueOf(i), Boolean.valueOf(z));
        fv.e().a((dx) new iz(i, z));
        if (3 == i || 4 == i) {
            int i2 = 3 == i ? 0 : 1;
            int zoomMode = AndroidWidgetMap.getZoomMode();
            aa0.a(TAG, "AndroidWidgetMap.getZoomMode():{?}", Integer.valueOf(zoomMode));
            fv.e().a((dx) new hy(i2, zoomMode == 1));
        }
    }

    public static void jniSetLinksdkLog(boolean z) {
        aa0.a(TAG, "jniSetLinksdkLog isOpen:{?}", Boolean.valueOf(z));
        q80.v().a(z);
    }

    public static void jniStopSpeak() {
        aa0.a(TAG, "jniStopSpeak", new Object[0]);
        if (mf.i().f()) {
            mf.i().h();
        }
        dg.e().d();
    }

    public static void jniTinyAppReq() {
        if (jp.I().l(10048)) {
            aa0.a(TAG, "jniTinyAppReq start Tiny App!", new Object[0]);
        } else {
            aa0.a(TAG, "jniTinyAppReq do nothing!", new Object[0]);
        }
    }

    public static void jniZoomMapTimesCallback(int i) {
        if (mb0.b().a() != null) {
            mb0.b().a().a(i);
        }
    }

    public static native void launchAuto(int i, String str);

    public static native void logoutAutoAccount(int i, String str, String str2, String str3, String str4);

    public static void nativeAccOn(int i, boolean z) {
        aa0.a(TAG, "nativeAccOn requestId:{?} isOn:{?}", Integer.valueOf(i), Boolean.valueOf(z));
        rawNativeAccOn(i, z);
    }

    public static native void nativeAddFavoriteCurPoi(int i);

    public static native void nativeAlongWaySearch(int i, int i2, int i3);

    public static native void nativeAvoidJam(int i, boolean z);

    public static native void nativeBackToMap(int i, int i2);

    public static native void nativeCameraStatusNotify(int i, int i2);

    public static native void nativeCarCompanyLoginSuccess(int i);

    public static native void nativeCarPlateSet(String str);

    public static native void nativeCloseGuideInfo(int i, boolean z);

    public static native void nativeControlMessageCard(int i, boolean z);

    public static native void nativeCruiseReportPolicy(int i);

    public static native void nativeDayNightMode(int i, int i2);

    public static native void nativeEnduranceChoose(int i, boolean z);

    public static native void nativeFactoryDataClear(int i);

    public static native void nativeFactoryReset();

    public static native void nativeFloatProperty(int i, float f);

    public static native void nativeGetActiveState(int i);

    public static native void nativeGetMuteState(int i);

    public static native void nativeGetPathConfigInfo(int i);

    public static native void nativeGetRouteInfo(int i, int i2);

    public static native void nativeGetTrafficRestrictInfo(int i, String str, double d, double d2, String str2);

    public static native void nativeGoToHomeOrCopType(int i, int i2);

    public static native void nativeHomeOrCompanyNavi(SpecialPoiNaviData specialPoiNaviData);

    public static native void nativeIntProperty(int i, int i2);

    public static native boolean nativeIsExitApp();

    public static native void nativeMapLabel(String str, String str2, double d, double d2, int i, int i2, int i3);

    public static native void nativeMoveMap(int i, int i2, int i3);

    public static native void nativeNavGuidanceControl(int i, String str);

    public static native void nativeNaviOpera(int i, int i2);

    public static native void nativeNaviPreview(int i, boolean z);

    public static native void nativeNaviRoutePrefer(int i, int i2);

    public static native void nativeNaviViaModify(int i, int i2, String str, int i3, double d, double d2, int i4);

    public static native void nativeNotifyCarHWStatus(int i, CarHWStatusData carHWStatusData);

    public static native void nativeNotifyTSRInfo(TSRInfo tSRInfo);

    public static native void nativeOilLowRemindOpera(int i, int i2, int i3, int i4);

    public static native void nativeOilStatusNotify(int i, float f, float f2);

    public static native void nativeOperaHomeCompanyTip(int i, int i2);

    public static native void nativePageControl(int i, int i2, int i3);

    public static native void nativePageJumpOperate(int i, int i2);

    public static native void nativePassViaPoiControl(int i, int i2);

    public static native void nativePlaySound(String str);

    public static native void nativePowerOn(int i, boolean z);

    public static native void nativeQREnable(int i, boolean z);

    public static native void nativeRecvJsonAsync(JsonParam jsonParam);

    public static native JsonParam nativeRecvJsonSync(JsonParam jsonParam);

    public static native void nativeRefreshRoute(int i);

    public static native void nativeRepeatLastVoice();

    public static native void nativeRequestDayNightMode(int i);

    public static native void nativeRequestLocationInfoConvert(int i, double d, double d2);

    public static native void nativeRequestLocationInfoConvertNew(int i, double d, double d2, int i2);

    public static native void nativeRequestNaviExitInfo(int i, int i2);

    public static native void nativeRequestSetting(int i, int i2);

    public static native void nativeRequestSilentAutoLogin(CarEnterpriseUserInfoData carEnterpriseUserInfoData);

    public static native int nativeRouteAvoidLimit(int i, String str, double d, double d2);

    public static native void nativeSearch(SearchData searchData);

    public static native void nativeSearchLocationTrafficInfo(int i, int i2, int i3);

    public static native void nativeSearchResultOperate(int i, int i2, int i3, int i4);

    public static native void nativeSearchTrafficCondition(int i, String str, int i2);

    public static native void nativeSelectParking(int i, int i2);

    public static native void nativeSelectRoute(int i, int i2, boolean z);

    public static native void nativeSetDrivingTalk(int i, int i2, int i3);

    public static native void nativeSetHeadLampStatus(int i, int i2);

    public static native void nativeSetHomeOrCompany(int i, String str, double d, double d2, double d3, double d4, String str2, int i2, int i3, String str3, String str4);

    public static native void nativeSetHudEnabled(int i, boolean z);

    public static native void nativeSetLocationEnable(boolean z);

    public static native void nativeSetNaviType(int i, int i2);

    public static native void nativeSetPhotoResult(int i, String str);

    public static native void nativeSetReportNaviType(int i, int i2);

    public static native void nativeSetSetting(int i, int i2, boolean z);

    public static native void nativeSetSideRoadSwitch(int i, boolean z);

    public static native void nativeSetSystemFont(int i, List<String> list);

    public static native void nativeSetVoice(int i);

    public static native void nativeSetWipeState(int i, int i2);

    public static native void nativeShareRoute(int i, String str);

    public static native void nativeShowMyLocation(int i, int i2);

    public static native void nativeShutdown();

    public static native void nativeStopGuide(int i);

    public static native void nativeSwitchAutoTheme(int i, String str);

    public static native void nativeSwitchAvoidLimit(int i, int i2);

    public static native void nativeTestCardShow(int i, String str);

    public static native void nativeTestMapParameter(int i, String str, int i2, int i3, int i4, int i5);

    public static native void nativeThemeStyleNotify(int i, int i2);

    public static native void nativeThemeStyleV2Notify(int i, int i2, int i3);

    public static native void nativeTrafficReport(int i, int i2, int i3, int i4, int i5);

    public static native void nativeVoiceControlReq(int i, boolean z, boolean z2);

    public static native void nativeZoomMapTimes(int i, int i2, int i3);

    public static void notifyFloatProperty(int i, float f) {
        aa0.a(TAG, "notifyFloatProperty propertyId:{?}, fValue:{?}", Integer.valueOf(i), Float.valueOf(f));
        floatPropertyMap.put(Integer.valueOf(i), Float.valueOf(f));
        nativeFloatProperty(i, f);
    }

    public static void notifyIntProperty(int i, int i2) {
        aa0.a(TAG, "notifyIntProperty propertyId:{?}, iValue:{?}", Integer.valueOf(i), Integer.valueOf(i2));
        integerPropertyMap.put(Integer.valueOf(i), Integer.valueOf(i2));
        nativeIntProperty(i, i2);
    }

    public static void notifyReadyStatus(boolean z) {
        aa0.a(TAG, "notifyReadyStatus hasReady:{?}", Boolean.valueOf(z));
        fv.e().b(z);
    }

    public static native void onAdditionalPowerUsageNotified(int i, int i2, int i3);

    public static native void onChargeStateChanged(int i, int i2);

    public static native void onDriveModeChanged(int i);

    public static native void onOperateExscreenNotified(int i, int i2, int i3);

    public static native void openFavorite(int i);

    public static native boolean providerIsInit();

    public static native void publishChargingProcessInformation(ChargingProcessInformationData chargingProcessInformationData);

    public static native void rawNativeAccOn(int i, boolean z);

    public static void requestCameraStatus() {
        aa0.a(TAG, "requestCameraStatus elapsedRealtime:{?}", Long.valueOf(SystemClock.elapsedRealtime()));
        fv.e().a((dx) new ex());
    }

    public static native void requestFrequentPois(int i, int i2);

    public static void requestLocationInfoConvertNew(ns nsVar) {
        locationConvertLatchHolderHashMap.put(Integer.valueOf(nsVar.b), nsVar);
        nativeRequestLocationInfoConvertNew(nsVar.a, nsVar.d, nsVar.e, nsVar.b);
    }

    public static native void requestRoute(RouteRequestData routeRequestData);

    public static void sendAccountSyncLoginState(AutoUserInfoData autoUserInfoData) {
        aa0.a(TAG, "sendAccountSyncLoginState ", new Object[0]);
        fv.e().a((dx) new q40(autoUserInfoData));
    }

    public static void sendAreaInfo(AreaInfoData areaInfoData) {
        fv.e().a((dx) new zw(areaInfoData));
    }

    public static void sendAutoStatus(int i, int i2) {
        jp.I().a(60006, new rp.a(Integer.valueOf(i)));
        GAdaAndroid.onNaviStatusChange(i);
        aa0.a(TAG, "sendAutoStatus status = {?} statusDetails = {?}", Integer.valueOf(i), Integer.valueOf(i2));
        if (i == 1) {
            aa0.a(TAG, "BackgroudService sendAutoStatus setIsBackgroudLoaded true", new Object[0]);
            if (AndroidAdapterConfiger.nativeGetBooleanValue(1013)) {
                aa0.a(TAG, "EBOOL_KEY_IS_ENABLE_INIT_IFLYTEK : true ", new Object[0]);
                ee.d dVar = ee.A().D;
                if (dVar != null) {
                    dVar.a(ee.A().f());
                } else {
                    aa0.a(TAG, "iflyCallBack == null,please check!", new Object[0]);
                }
            } else {
                aa0.a(TAG, "EBOOL_KEY_IS_ENABLE_INIT_IFLYTEK : false ", new Object[0]);
            }
            boolean c2 = dg.e().c();
            aa0.a(TAG, "sendAutoStatus isSpeakByTts={?}", Boolean.valueOf(c2));
            if (c2) {
                dg.e().a();
            }
            try {
                if (mf.i().f()) {
                    mf.i().e();
                }
            } catch (Throwable th) {
                aa0.a(TAG, "AndroidTTSPlayer Exception", th, new Object[0]);
            }
            fv.e().a();
            t80.d().c();
            fv.e().a();
            sendRequestVehicleInfo();
            AndroidSystemSetting.registerTimeChangeReceiver();
            sendDriveRestrictionStatus();
            n90.f();
            if (vd.a(650)) {
                int a2 = oq.i().a(oq.Y, 0);
                aa0.a(TAG, "isNeedPltHook:{?}", Integer.valueOf(a2));
                if (a2 != 0) {
                    kr.a();
                }
            }
        } else if (i == 12) {
            jp.I().k();
            ob0.x().r();
            jp I = jp.I();
            int i3 = DEFAULT_VALID_VALUE;
            I.a(i3, i3, i3, false);
            pf.b(pf.j, pf.f);
        } else if (i == 34) {
            jp.I().k();
            ob0.x().r();
            jp I2 = jp.I();
            int i4 = DEFAULT_VALID_VALUE;
            I2.a(i4, i4, i4, false);
        } else if (i == 43) {
            AndroidWidgetNavi.onNaviStatusChange(1);
        } else if (i == 104) {
            jp I3 = jp.I();
            int i5 = DEFAULT_VALID_VALUE;
            I3.a(i5, i5, i5, false);
        } else if (i == 402) {
            pf.b(pf.h, pf.f);
        } else if (i == 415) {
            aa0.a(TAG, "悬浮窗定位丢失透出 GPS_UNLOCATED：{?}", 415);
            ei0.e().a(false);
            if (oq.i().a(oq.m, 1) == 1) {
                fv.e().a((dx) new zx(new RspGpsStatusNotifyModel(1)));
            }
        } else if (i == 24) {
            AndroidWidgetCruise.onCruiseStatusChange(1);
        } else if (i == 25) {
            AndroidWidgetCruise.onCruiseStatusChange(2);
        } else if (i == 48) {
            aa0.a(TAG, "悬浮窗定位成功透出 GPS_LOCATED：{?}", 48);
            ei0.e().a(true);
        } else if (i == 49) {
            ee.A().a(2);
        } else if (i == 202 || i == 203) {
            Intent intent = new Intent();
            intent.setAction("AUTONAVI_STANDARD_BROADCAST_SEND");
            intent.putExtra(StandardProtocolKey.KEY_TYPE, 10019);
            intent.putExtra(StandardProtocolKey.EXTRA_CROSS_MAP, i == 202 ? 1 : 0);
            ee.A().f().sendBroadcast(intent);
        } else if (i == 412) {
            isHmiSwtichReady = true;
            notifyReadyStatus(true);
        } else if (i == 413) {
            isHmiSwtichReady = false;
            notifyReadyStatus(false);
        } else if (i == 3024) {
            ee.A().a(false);
        } else if (i != 3025) {
            switch (i) {
                case 8:
                    jp.I().H();
                    ob0.x().r();
                    break;
                case 9:
                    jp.I().k();
                    ob0.x().r();
                    AndroidWidgetNavi.onNaviStatusChange(2);
                    jp I4 = jp.I();
                    int i6 = DEFAULT_VALID_VALUE;
                    I4.a(i6, i6, i6, false);
                    pf.b(pf.i, pf.f);
                    break;
                case 10:
                    jp.I().H();
                    ob0.x().r();
                    break;
                default:
                    switch (i) {
                        case 37:
                            GAdaAndroid.onDayNightChange(1);
                            break;
                        case 38:
                            GAdaAndroid.onDayNightChange(2);
                            break;
                        case 39:
                            aa0.a(TAG, "悬浮窗 到达目的地透出 AUTO_NAVI_ARRIVAE_DESTINATION：{?}", 39);
                            ei0.e().b(10);
                            jp I5 = jp.I();
                            int i7 = DEFAULT_VALID_VALUE;
                            I5.a(i7, i7, i7, false);
                            break;
                        default:
                            switch (i) {
                                case SecExceptionCode.SEC_ERROR_STA_INVALID_PARAM /* 301 */:
                                case SecExceptionCode.SEC_ERROR_STA_DATA_FILE_MISMATCH /* 302 */:
                                case SecExceptionCode.SEC_ERROR_STA_NO_DATA_FILE /* 303 */:
                                case SecExceptionCode.SEC_ERROR_STA_INCORRECT_DATA_FILE /* 304 */:
                                    fv.e().a((dx) new cz(i));
                                    break;
                                case SecExceptionCode.SEC_ERROR_STA_INCORRECT_DATA_FILE_DATA /* 305 */:
                                case SecExceptionCode.SEC_ERROR_STA_KEY_NOT_EXISTED /* 306 */:
                                    boolean z = i == 305;
                                    fv.e().a((dx) new xy(z));
                                    aa0.a(TAG, "悬浮窗 偏航重算结果透出 status：{?}", Integer.valueOf(i));
                                    ei0.e().c(z);
                                    if (z) {
                                        ob0.x().r();
                                        break;
                                    }
                                    break;
                                case SecExceptionCode.SEC_ERROR_STA_ILLEGEL_KEY /* 307 */:
                                    ei0.e().c();
                                    aa0.a(TAG, "导航途中偏航重算开始", new Object[0]);
                                    break;
                                case SecExceptionCode.SEC_ERROR_STA_NO_MEMORY /* 308 */:
                                    aa0.a(TAG, "悬浮窗 导航途中退出导航 隐藏悬浮窗 NAVI_GUIDE_EXIT：{?}", Integer.valueOf(SecExceptionCode.SEC_ERROR_STA_NO_MEMORY));
                                    FloatWindowManagerNative.hideFloatWindow();
                                    ob0.x().r();
                                    jp I6 = jp.I();
                                    int i8 = DEFAULT_VALID_VALUE;
                                    I6.a(i8, i8, i8, false);
                                    break;
                                case SecExceptionCode.SEC_ERROR_STA_NO_SUCH_INDEX /* 309 */:
                                    fv.e().a((dx) new fz(0));
                                    break;
                                case SecExceptionCode.SEC_ERROR_STA_INVALID_ENCRYPTED_DATA /* 310 */:
                                    fv.e().a((dx) new fz(1));
                                    break;
                                default:
                                    switch (i) {
                                        case SecExceptionCode.SEC_ERROR_STA_LOW_VERSION_DATA_FILE /* 312 */:
                                            jp.I().c();
                                            break;
                                        case 313:
                                            jp.I().d();
                                            break;
                                        case 314:
                                            fv.e().a((dx) new ux());
                                            break;
                                        case 315:
                                            bb0.a(new a());
                                            break;
                                        case 316:
                                            bb0.a(new b());
                                            break;
                                        case 317:
                                            ke.c().a(1073741842);
                                            break;
                                        case 318:
                                            ke.c().a(1073741843);
                                            break;
                                    }
                            }
                    }
            }
        } else {
            ee.A().a(true);
        }
        if ((i >= 401 && i <= 415) || i == 4 || i == 3 || i == 50 || i == 51 || i == 49 || i == 0) {
            return;
        }
        dispatchAutoStatus(i, i2);
    }

    public static void sendBindUserResult(String str, String str2, String str3, boolean z) {
        aa0.a(TAG, "sendBindUserResult uid:{?} uname:{?} uavater:{?} isSuccess:{?}", str, str2, str3, Boolean.valueOf(z));
        fx fxVar = new fx(str, str2, str3);
        fxVar.a(Boolean.valueOf(z));
        fv.e().a((dx) fxVar);
    }

    public static void sendCarBindSuccess(String str, String str2, String str3) {
        aa0.a(TAG, "sendCarBindSuccess uname:{?}", str2);
        fx fxVar = new fx(str, str2, str3);
        fxVar.a((Boolean) true);
        fv.e().a((dx) fxVar);
    }

    public static void sendCarLocationInfo(CarLocationInfo carLocationInfo) {
        if (carLocationInfo == null) {
            return;
        }
        fv.e().a((dx) new gx(n80.a(carLocationInfo)));
    }

    public static void sendCrossMapState(int i, boolean z) {
        aa0.a(TAG, "sendCrossMapState type={?}, isShow={?}", Integer.valueOf(i), Boolean.valueOf(z));
        if (vd.l()) {
            return;
        }
        if (z) {
            sendAutoStatus(SecExceptionCode.SEC_ERROR_STA_STORE_DATA_FILE_MISMATCH);
        } else {
            sendAutoStatus(203);
        }
    }

    public static void sendDriveRestrictionStatus() {
        fv.e().a((dx) new pw(1));
    }

    public static void sendDriveWayInfo(DriveWayData driveWayData) {
        aa0.a(TAG, "sendDriveWayInfo ", new Object[0]);
        fv.e().a((dx) new qx(driveWayData));
    }

    public static void sendExScreenStatus(int i, int i2, int i3) {
        boolean l = jp.I().l(10028);
        aa0.a(TAG, "sendExScreenStatus status:{?},window:{?},mode:{?},adjust:{?}", Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(i3), Boolean.valueOf(l));
        if (l) {
            i2 -= 1000;
        }
        fv.e().a((dx) new tx(i2, i3, i));
        ps b2 = qs.e().b(i2);
        if (b2 != null) {
            if (b2.d() == rs.AIDL_EXTERNAL_WIDGET || b2.d() == rs.AIDL_INTERNAL_WIDGET) {
                if (i == 0 || i == 1) {
                    int i4 = i == 0 ? 3026 : 3029;
                    aa0.a(TAG, "sendExScreenStatus dispatchAutoStatus status:{?}", Integer.valueOf(i4));
                    fv.e().a((dx) new ax(i4));
                }
            } else if ((b2.d() == rs.SYSTEM_PRESENTATION || b2.d() == rs.VIDEO_STREAM || b2.d() == rs.AUXILIARY_NAVIGATION_ACTIVITY) && (i == 0 || i == 1)) {
                if (i == 0) {
                    b2.i();
                } else {
                    b2.j();
                }
                int i5 = i == 0 ? SecExceptionCode.SEC_ERROR_STA_STORE : 3028;
                aa0.a(TAG, "sendExScreenStatus dispatchAutoStatus status:{?}", Integer.valueOf(i5));
                fv.e().a((dx) new ax(i5));
            }
        }
        Object[] objArr = new Object[1];
        objArr[0] = b2 == null ? "null" : b2.d();
        aa0.a(TAG, "sendExScreenStatus extScreen:{?}", objArr);
        if (b2 != null) {
            if (b2.d() == rs.AIDL_EXTERNAL_WIDGET || b2.d() == rs.AIDL_INTERNAL_WIDGET) {
                AutoSimilarWidgetService.e.set(i == 0);
                if (i == 0) {
                    AutoSimilarWidgetService.n().k();
                } else if (i == 1) {
                    AutoSimilarWidgetService.n().n();
                }
            }
        }
    }

    public static void sendGetHeadLampStatus() {
        fv.e().a((dx) new pw(0));
    }

    public static void sendJsonAsync(JsonParam jsonParam) {
        hv.a().a(jsonParam);
    }

    public static JsonParam sendJsonSync(JsonParam jsonParam) {
        return hv.a().b(jsonParam);
    }

    public static void sendLastMile(double d, double d2, String str, String str2) {
        aa0.a(TAG, "sendLastMile lat={?},lon={?},name={?},addr={?}", Double.valueOf(d), Double.valueOf(d2), str, str2);
        i20 i20Var = new i20();
        i20Var.a(d);
        i20Var.b(d2);
        i20Var.c(str);
        i20Var.b(str2);
        fv.e().a((dx) i20Var);
    }

    public static void sendLocationInfo(LocationInfo locationInfo) {
        if (locationInfo == null) {
            return;
        }
        fv.e().a((dx) new by(n80.a(locationInfo)));
    }

    public static void sendLogoutResult(boolean z) {
        fv.e().a((dx) new gy(z));
    }

    public static void sendMessageComponent(int i, String str) {
        jy jyVar = new jy();
        jyVar.b(i);
        jyVar.b(str);
        fv.e().a((dx) jyVar);
    }

    public static void sendNaviFacility(boolean z, int i) {
        aa0.a(TAG, "sendNaviFacility isShow={?},type={?}", Boolean.valueOf(z), Integer.valueOf(i));
        u20 u20Var = new u20();
        u20Var.a(z);
        u20Var.a(i);
        fv.e().a((dx) u20Var);
    }

    public static void sendRequestPowerInfo() {
        aa0.a(TAG, "sendRequestPowerInfo", new Object[0]);
        fv.e().a((dx) new b40());
        bb0.d(new c());
    }

    public static void sendRequestVehicleInfo() {
        aa0.a(TAG, "sendRequestVehicleInfo", new Object[0]);
        fv.e().a((dx) new c40());
    }

    public static void sendTestNumResponse(int i, String str) {
        aa0.a(TAG, "sendTestNumResponse testNum={?}, result={?}", Integer.valueOf(i), str);
        Intent intent = new Intent();
        intent.setAction("AUTONAVI_STANDARD_BROADCAST_SEND");
        intent.putExtra(StandardProtocolKey.KEY_TYPE, 20202);
        intent.putExtra(StandardProtocolKey.EXTRA_TEST_ID, i);
        intent.putExtra(StandardProtocolKey.EXTRA_TEST_RESULT, str);
        ee.A().f().sendBroadcast(intent);
    }

    public static void sendTmcSegment(TmcSegmentData tmcSegmentData) {
        if (r90.b()) {
            fv.e().a((dx) new bz(tmcSegmentData));
        }
        ob0.x().a(tmcSegmentData);
        Object[] objArr = new Object[1];
        objArr[0] = tmcSegmentData == null ? "is null" : tmcSegmentData.toString();
        aa0.a(TAG, "悬浮窗实时交通光柱图透出 segmentData：{?}", objArr);
        ei0.e().a(tmcSegmentData);
    }

    public static void sendVersionInfo(String str, String str2) {
        aa0.a(TAG, "sendVersionInfo", new Object[0]);
        String c2 = ee.A().c();
        r30 r30Var = new r30();
        r30Var.b(str);
        r30Var.d(c2);
        r30Var.c(str2);
        fv.e().a((dx) r30Var);
    }

    public static void sendVoiceControl() {
        aa0.a(TAG, "sendVoiceControl", new Object[0]);
        fv.e().a((dx) new t30());
    }

    public static void sendWidgetScreenShowPath(String str) {
        aa0.a(TAG, "sendWidgetScreenShowPath path={?}", str);
        w30 w30Var = new w30();
        w30Var.b(str);
        fv.e().a((dx) w30Var);
    }

    public static native void setCoordinateInfo(CoordinateInfoData coordinateInfoData);

    public static native void setExtScreenMapStatus(ExtScreenControlData extScreenControlData);

    public static native void setExternalScreenCrossControl(int i, boolean z);

    public static native void setExternalScreenCrossType(int i, int i2, boolean z);

    public static native void setExternalScreenDynamicLevelLock(int i, boolean z);

    public static native void setExternalScreenMapStatus(int i, int i2, int i3, int i4);

    public static void setHeadLampStatus(int i, int i2) {
        aa0.a(TAG, "setHeadLampStatus requestId:{?} status:{?}", Integer.valueOf(i), Integer.valueOf(i2));
        nativeSetHeadLampStatus(i, i2);
    }

    public static native void setNaviMuteModel(int i, int i2, boolean z);

    public static native void setPowerInfo(PowerInfoData powerInfoData);

    public static native void setVehicleInfo(String str, String str2, String str3, String str4, double d, double d2, int i, int i2);

    public static native void startPage(int i, int i2);

    public static native void testRequest(int i);

    public static void wirteChargingStationInfo(int i, int i2) {
        aa0.a(TAG, "writeChargingStationInfo() energy:{?}, power:{?}", Integer.valueOf(i), Integer.valueOf(i2));
        jp.I().a(i, i2);
    }

    public static void wirteEnergyAtDistance(int i, int i2, int i3, boolean z) {
        aa0.a(TAG, "writeEnergyAtDistance() energy:{?}, distance:{?}, seconds:{?}, inStationInfo:{?}", Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(i3), Boolean.valueOf(z));
        jp.I().a(i, i2, i3, z);
    }

    public static void dispatchAutoStatus(int i) {
        dispatchAutoStatus(i, -1);
    }

    public static void sendAutoStatus(int i) {
        sendAutoStatus(i, -1);
    }
}
