package defpackage;

import android.content.Intent;
import android.text.TextUtils;
import com.autonavi.amapauto.jni.config.AndroidAdapterConfiger;
import com.autonavi.amapauto.jni.protocol.AndroidProtocolExe;
import com.autonavi.amapauto.jni.protocol.data.ALResponeData;
import com.autonavi.amapauto.jni.protocol.data.GuideInfoProtocolData;
import com.autonavi.amapauto.jni.protocol.data.JsonHeader;
import com.autonavi.amapauto.jni.protocol.data.JsonParam;
import com.autonavi.amapauto.jni.protocol.data.MessageCompentData;
import com.autonavi.amapauto.jni.protocol.data.PassingPointItem;
import com.autonavi.amapauto.jni.protocol.data.TmcSegmentData;
import com.autonavi.amapauto.protocol.constant.StandardProtocolKey;
import com.autonavi.amapauto.protocol.model.client.drive_module.TripReporterModel;
import com.autonavi.amapauto.protocol.model.client.extscreen.ExScreenRenderModel;
import com.autonavi.amapauto.protocol.model.client.user.UnionLoginUserInfoModel;
import com.autonavi.amapauto.protocol.model.service.ArStatusModel;
import com.autonavi.amapauto.protocol.model.service.AvoidJamModel;
import com.autonavi.amapauto.protocol.model.service.BluetoothEnabledModel;
import com.autonavi.amapauto.protocol.model.service.ContinueNaviModel;
import com.autonavi.amapauto.protocol.model.service.DrLocationInfoModel;
import com.autonavi.amapauto.protocol.model.service.DriveGasInfoModle;
import com.autonavi.amapauto.protocol.model.service.GuideInfoModel;
import com.autonavi.amapauto.protocol.model.service.ManeuverIconModel;
import com.autonavi.amapauto.protocol.model.service.NaviFacilityProtocolModel;
import com.autonavi.amapauto.protocol.model.service.ProtocolAutoStatusModel;
import com.autonavi.amapauto.protocol.model.service.ReqGetAccountInfoModel;
import com.autonavi.amapauto.protocol.model.service.ReqGetManufactureInfoModel;
import com.autonavi.amapauto.protocol.model.service.ReqGetTruckParmModel;
import com.autonavi.amapauto.protocol.model.service.ReqGetVehicleStateModel;
import com.autonavi.amapauto.protocol.model.service.ReqIsNOAFunctionOpenModel;
import com.autonavi.amapauto.protocol.model.service.ReqPhotoModel;
import com.autonavi.amapauto.protocol.model.service.ReqRegistVRKeywordsModel;
import com.autonavi.amapauto.protocol.model.service.ReqSend2carInfoModel;
import com.autonavi.amapauto.protocol.model.service.ReqUserPersonalInformationAuthorizedModel;
import com.autonavi.amapauto.protocol.model.service.ResponseHomeCompany;
import com.autonavi.amapauto.protocol.model.service.RouteInfoModel;
import com.autonavi.amapauto.protocol.model.service.RspArHudGuideLineOutputModel;
import com.autonavi.amapauto.protocol.model.service.RspArHudTBTInfoOutputModel;
import com.autonavi.amapauto.protocol.model.service.RspArOperationInformModel;
import com.autonavi.amapauto.protocol.model.service.RspAvoidJamOperateStatusModel;
import com.autonavi.amapauto.protocol.model.service.RspCameraSpeedInfoModel;
import com.autonavi.amapauto.protocol.model.service.RspCarRestrictionsInfoModel;
import com.autonavi.amapauto.protocol.model.service.RspChannelIDModel;
import com.autonavi.amapauto.protocol.model.service.RspCurrentRoadNameDispatchModel;
import com.autonavi.amapauto.protocol.model.service.RspDataConsumptionInfoModel;
import com.autonavi.amapauto.protocol.model.service.RspGetAreaInfoModel;
import com.autonavi.amapauto.protocol.model.service.RspGetPlateNumberModel;
import com.autonavi.amapauto.protocol.model.service.RspGpsStatusNotifyModel;
import com.autonavi.amapauto.protocol.model.service.RspHeadingDirectionModel;
import com.autonavi.amapauto.protocol.model.service.RspHistoryOutputModel;
import com.autonavi.amapauto.protocol.model.service.RspMapOperateResultModel;
import com.autonavi.amapauto.protocol.model.service.RspMessageDisappearNotifyModel;
import com.autonavi.amapauto.protocol.model.service.RspMidPOIsInfoNotifyModel;
import com.autonavi.amapauto.protocol.model.service.RspMultiScreenStatusModel;
import com.autonavi.amapauto.protocol.model.service.RspNewMidPOIsInfoNotifyModel;
import com.autonavi.amapauto.protocol.model.service.RspNotifyViaAndEndPoiInfoModel;
import com.autonavi.amapauto.protocol.model.service.RspPOIInfoShareModel;
import com.autonavi.amapauto.protocol.model.service.RspPlaySettingStatusDispatchModel;
import com.autonavi.amapauto.protocol.model.service.RspQuerySavesOutputModel;
import com.autonavi.amapauto.protocol.model.service.RspResidualEnergyInfoModel;
import com.autonavi.amapauto.protocol.model.service.RspReturnStatesofClearHistoryRecordModel;
import com.autonavi.amapauto.protocol.model.service.RspRouteInfoContrastModel;
import com.autonavi.amapauto.protocol.model.service.RspScaleLevelNotifyModel;
import com.autonavi.amapauto.protocol.model.service.RspSendDesInfoLastMileModel;
import com.autonavi.amapauto.protocol.model.service.RspSendLayoutTreeInformationToSystemModel;
import com.autonavi.amapauto.protocol.model.service.RspSendSearchResultListStateModel;
import com.autonavi.amapauto.protocol.model.service.RspSlopeAndRollAngleInfoModel;
import com.autonavi.amapauto.protocol.model.service.RspSoftwareInfoNotifyModel;
import com.autonavi.amapauto.protocol.model.service.RspTrafficEventsReportModel;
import com.autonavi.amapauto.protocol.model.service.RspTrafficLightsCountdownInfoModel;
import com.autonavi.amapauto.protocol.model.service.RspVehicleEnergyInfoModel;
import com.autonavi.amapauto.protocol.model.service.user.ChangedFavoritePoiModel;
import com.autonavi.amapauto.protocol.model.service.user.NotifyBindCarAutoUserModel;
import com.autonavi.amapauto.protocol.model.service.user.SendAutoLoginStateModel;
import com.autonavi.amapauto.remotecontrol.AndroidRemoteControl;
import com.autonavi.amapauto.settings.AndroidSystemSetting;
import com.autonavi.indooroutdoordetectorsdk.IndoorOutdoorDetector;
import defpackage.rp;
import org.json.JSONObject;

/* compiled from: ProtocolDistributeManager.java */
/* loaded from: classes.dex */
public class hv {
    public static volatile hv a;

    public hv() {
        ee.A().f();
    }

    public static hv a() {
        if (a == null) {
            synchronized (hv.class) {
                if (a == null) {
                    a = new hv();
                }
            }
        }
        return a;
    }

    public JsonParam b(JsonParam jsonParam) {
        if (jsonParam != null && jsonParam.jsonHeader != null) {
            aa0.a("ProtocolDistributeManager", "distributeReceiveSync inParam:{?}", jsonParam.toString());
            if (jsonParam.jsonHeader != null) {
                return jsonParam.jsonHeader.protocolId != 80003 ? new JsonParam() : k80.a(1, new BluetoothEnabledModel(AndroidRemoteControl.isBluetoothAdapterEnabled()), 0);
            }
            aa0.a("ProtocolDistributeManager", "distributeReceiveSync jsonHeader is null", new Object[0]);
            return null;
        }
        aa0.a("ProtocolDistributeManager", "distributeReceiveSync inParam is null", new Object[0]);
        return null;
    }

    public final void c(JsonParam jsonParam) {
        if (jsonParam.jsonResult == null) {
            aa0.a("ProtocolDistributeManager", "distributeResponse jsonResult is null", new Object[0]);
            return;
        }
        ALResponeData aLResponeData = new ALResponeData();
        aLResponeData.isNewJsonResult = true;
        aLResponeData.jsonString = jsonParam.jsonData;
        aLResponeData.isSuccessed = jsonParam.jsonResult.resultCode == 10000;
        aLResponeData.requestALId = jsonParam.requestId;
        aLResponeData.resultCode = jsonParam.jsonResult.resultCode;
        fv.e().a(aLResponeData);
    }

    public void d(JsonParam jsonParam) {
        boolean z = td.a;
        if (jsonParam == null) {
            aa0.a("ProtocolDistributeManager", "sendToAutoClient inParam is null", new Object[0]);
            return;
        }
        aa0.a("ProtocolDistributeManager", "galtest sendToHmi  req_process_data:{?} json_header:{?} requestId:{?}", jsonParam.jsonData, jsonParam.jsonHeader.toJsonString(), Integer.valueOf(jsonParam.requestId));
        if (td.b() || td.a) {
            a(jsonParam.jsonData, jsonParam.requestId);
        }
        if (j80.a() != null) {
            j80.a().a(jsonParam);
        }
        AndroidProtocolExe.nativeRecvJsonAsync(jsonParam);
    }

    public final void a(String str, int i) {
        aa0.a("ProtocolDistributeManager", "sendGalCI(). jsonData = {?}", str);
        Intent intent = new Intent();
        intent.setAction("AUTONAVI_STANDARD_BROADCAST_SEND");
        intent.putExtra(StandardProtocolKey.KEY_TYPE, 99999);
        intent.putExtra("KEY_PROCESS_DATA", str);
        intent.putExtra("KEY_REQUEST_CODE", i);
        aa0.a("ProtocolDistributeManager", "galtest sendGalCI intent:{?}", intent.getExtras().toString());
        ee.A().f().sendBroadcast(intent);
    }

    public final void b(JsonHeader jsonHeader, String str) {
        if (jsonHeader != null && !TextUtils.isEmpty(str)) {
            try {
                jp.I().a(jsonHeader, str);
                switch (jsonHeader.protocolId) {
                    case 30014:
                        uy uyVar = new uy();
                        uyVar.a(str);
                        uyVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) uyVar);
                        return;
                    case 30433:
                        ex exVar = new ex();
                        exVar.a(str);
                        exVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) exVar);
                        return;
                    case 30506:
                        aa0.a("ProtocolDistributeManager", "[getUnionUserInfo]", new Object[0]);
                        UnionLoginUserInfoModel a2 = n80.a(n80.a());
                        if (a2 == null) {
                            a2 = new UnionLoginUserInfoModel("", "", 1, "", "", "");
                        }
                        l80.b(a2, -1);
                        return;
                    case 30605:
                        aa0.a("ProtocolDistributeManager", "sendRequestVehicleInfo", new Object[0]);
                        c40 c40Var = new c40();
                        c40Var.a(str);
                        c40Var.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) c40Var);
                        return;
                    case 30606:
                        vy vyVar = new vy(0);
                        vyVar.a(str);
                        vyVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) vyVar);
                        return;
                    case 30900:
                        wy wyVar = new wy();
                        wyVar.a(str);
                        wyVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) wyVar);
                        return;
                    case 80001:
                        AndroidRemoteControl.openBluetooth();
                        return;
                    case 80010:
                        ty tyVar = new ty();
                        tyVar.a(str);
                        tyVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) tyVar);
                        return;
                    case 80021:
                        sw swVar = new sw();
                        swVar.a(str);
                        swVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) swVar);
                        return;
                    case 80038:
                        b40 b40Var = new b40();
                        b40Var.a(str);
                        b40Var.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) b40Var);
                        return;
                    case 80041:
                        pw pwVar = new pw((ReqGetVehicleStateModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ReqGetVehicleStateModel.class));
                        pwVar.a(str);
                        pwVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) pwVar);
                        return;
                    case 80056:
                        az azVar = new az();
                        azVar.a(str);
                        azVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) azVar);
                        return;
                    case 80075:
                        a00 a00Var = new a00();
                        a00Var.a(str);
                        a00Var.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) a00Var);
                        return;
                    case 80084:
                        py pyVar = new py((ReqPhotoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ReqPhotoModel.class));
                        pyVar.a(str);
                        pyVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) pyVar);
                        return;
                    case 80087:
                        t30 t30Var = new t30();
                        t30Var.a(str);
                        t30Var.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) t30Var);
                        return;
                    case 80124:
                        fy fyVar = new fy((ReqIsNOAFunctionOpenModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ReqIsNOAFunctionOpenModel.class));
                        fyVar.a(str);
                        fyVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) fyVar);
                        return;
                    case 80140:
                        vx vxVar = new vx((ReqGetAccountInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ReqGetAccountInfoModel.class));
                        vxVar.a(str);
                        vxVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) vxVar);
                        return;
                    case 80147:
                        wx wxVar = new wx((ReqGetManufactureInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ReqGetManufactureInfoModel.class));
                        wxVar.a(str);
                        wxVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) wxVar);
                        return;
                    case 80170:
                        sy syVar = new sy((ReqRegistVRKeywordsModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ReqRegistVRKeywordsModel.class));
                        syVar.a(str);
                        syVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) syVar);
                        return;
                    case 80183:
                        yx yxVar = new yx((ReqGetTruckParmModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ReqGetTruckParmModel.class));
                        yxVar.a(str);
                        yxVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) yxVar);
                        return;
                    case 80186:
                        gz gzVar = new gz((ReqUserPersonalInformationAuthorizedModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ReqUserPersonalInformationAuthorizedModel.class));
                        gzVar.a(str);
                        gzVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) gzVar);
                        return;
                    default:
                        return;
                }
            } catch (Exception e) {
                aa0.a("ProtocolDistributeManager", "distributeRequest ProtocolId = {?} exception:{?}", Integer.valueOf(jsonHeader.protocolId), e.getMessage());
                return;
            }
        }
        aa0.a("ProtocolDistributeManager", "distributeRequest header:{?} jsonString:{?}", jsonHeader, str);
    }

    public void a(JsonParam jsonParam) {
        if (jsonParam == null) {
            aa0.a("ProtocolDistributeManager", "distributeReceive inParam is null", new Object[0]);
            return;
        }
        aa0.a("ProtocolDistributeManager", "distributeReceive inParam:{?}", jsonParam.toString());
        boolean b = td.b();
        boolean z = JsonHeader.MESSAGE_TYPE_DISPATCH.equals(jsonParam.jsonHeader.messageType) || "request".equals(jsonParam.jsonHeader.messageType);
        boolean isEmpty = TextUtils.isEmpty(jsonParam.jsonData);
        if (b && z && !isEmpty) {
            try {
                aa0.a("ProtocolDistributeManager", "distributeReceive before jsonData:{?}", jsonParam.jsonData);
                JSONObject jSONObject = new JSONObject(jsonParam.jsonData);
                int a2 = s90.a(jSONObject.optString("requestCode"), 0);
                if (a2 == 0) {
                    a2 = j80.b();
                }
                jSONObject.put("requestCode", a2 + "");
                String jSONObject2 = jSONObject.toString();
                jsonParam.jsonData = jSONObject2;
                aa0.a("ProtocolDistributeManager", "distributeReceive after jsonData:{?}", jSONObject2);
            } catch (Exception e) {
                aa0.a("ProtocolDistributeManager", e.getMessage(), e, new Object[0]);
            }
        }
        if (JsonHeader.MESSAGE_TYPE_RESPONSE.equals(jsonParam.jsonHeader.messageType)) {
            if (b) {
                aa0.a("ProtocolDistributeManager", "galtest respone res_process_data:{?} json_header:{?}", jsonParam.jsonData, jsonParam.jsonHeader.toJsonString());
            }
            c(jsonParam);
            return;
        }
        if (JsonHeader.MESSAGE_TYPE_DISPATCH.equals(jsonParam.jsonHeader.messageType)) {
            String str = jsonParam.jsonHeader.requestCode;
            if (TextUtils.isEmpty(str)) {
                if (b) {
                    jsonParam.jsonHeader.requestCode = j80.b() + "";
                    aa0.a("ProtocolDistributeManager", "galtest dispatch rawRequestCode:{?} res_process_data:{?} json_header:{?}", str, jsonParam.jsonData, jsonParam.jsonHeader.toJsonString());
                } else {
                    jsonParam.jsonHeader.requestCode = "0";
                }
            }
            a(jsonParam.jsonHeader, jsonParam.jsonData);
            return;
        }
        if ("request".equals(jsonParam.jsonHeader.messageType)) {
            if (TextUtils.isEmpty(jsonParam.jsonHeader.requestCode)) {
                if (b) {
                    jsonParam.jsonHeader.requestCode = j80.b() + "";
                    aa0.a("ProtocolDistributeManager", "galtest request res_process_data:{?} json_header:{?}", jsonParam.jsonData, jsonParam.jsonHeader.toJsonString());
                } else {
                    jsonParam.jsonHeader.requestCode = "0";
                }
            }
            b(jsonParam.jsonHeader, jsonParam.jsonData);
            return;
        }
        if (JsonHeader.MESSAGE_TYPE_REQUEST_SYNC.equals(jsonParam.jsonHeader.messageType)) {
            aa0.a("ProtocolDistributeManager", "distributeReceive requestsync", new Object[0]);
        } else {
            aa0.a("ProtocolDistributeManager", "distributeReceive not support messageType:{?}", jsonParam.jsonHeader.messageType);
        }
    }

    public final void a(JsonHeader jsonHeader, String str) {
        aa0.a("ProtocolDistributeManager", "distributeDispatch header:{?} jsonString:{?}", jsonHeader, str);
        if (jsonHeader == null || TextUtils.isEmpty(str)) {
            return;
        }
        try {
            jp.I().a(jsonHeader, str);
            switch (jsonHeader.protocolId) {
                case 30005:
                    o00 o00Var = new o00((RouteInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RouteInfoModel.class));
                    o00Var.a(str);
                    o00Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) o00Var);
                    return;
                case 30007:
                    ResponseHomeCompany responseHomeCompany = (ResponseHomeCompany) gd.a(JsonHeader.parseJsonToJsonObj(str), ResponseHomeCompany.class);
                    if (responseHomeCompany == null || -1 == responseHomeCompany.getType()) {
                        return;
                    }
                    dy dyVar = new dy(responseHomeCompany);
                    dyVar.a(str);
                    dyVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) dyVar);
                    if (AndroidAdapterConfiger.nativeGetBooleanValue(IndoorOutdoorDetector.MSG_GPS_DISABLED)) {
                        jy jyVar = new jy();
                        jyVar.b(1);
                        jyVar.a(responseHomeCompany);
                        jyVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) jyVar);
                        return;
                    }
                    return;
                case 30200:
                    ProtocolAutoStatusModel protocolAutoStatusModel = (ProtocolAutoStatusModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ProtocolAutoStatusModel.class);
                    if (protocolAutoStatusModel != null) {
                        AndroidProtocolExe.sendAutoStatus(n80.a(protocolAutoStatusModel.n()), protocolAutoStatusModel.o());
                        return;
                    }
                    return;
                case 30201:
                    ox oxVar = new ox((DrLocationInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), DrLocationInfoModel.class));
                    oxVar.a(str);
                    oxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) oxVar);
                    return;
                case 30407:
                    GuideInfoProtocolData a2 = o80.a((GuideInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), GuideInfoModel.class));
                    if (a2 != null) {
                        jp.I().a(a2);
                        ay ayVar = new ay(a2);
                        ayVar.a(str);
                        ayVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) ayVar);
                        ob0.x().a(a2);
                        ei0.e().a(a2);
                        jp.I().b(a2);
                        of.e().a(a2);
                        return;
                    }
                    aa0.a("ProtocolDistributeManager", "distributeDispatch 30407 guideInfoProtocolData is null", new Object[0]);
                    return;
                case 30412:
                    px pxVar = new px(((DriveGasInfoModle) gd.a(JsonHeader.parseJsonToJsonObj(str), DriveGasInfoModle.class)).n());
                    pxVar.a(str);
                    pxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) pxVar);
                    return;
                case 30416:
                    k00 k00Var = new k00(k80.b(str));
                    k00Var.a(str);
                    k00Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) k00Var);
                    return;
                case 30418:
                    AvoidJamModel avoidJamModel = (AvoidJamModel) gd.a(JsonHeader.parseJsonToJsonObj(str), AvoidJamModel.class);
                    bx bxVar = new bx(avoidJamModel.getMessage(), avoidJamModel.o());
                    bxVar.a(str);
                    bxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) bxVar);
                    return;
                case 30422:
                    aa0.a("ProtocolDistributeManager", "继续导航信息透出", new Object[0]);
                    ContinueNaviModel continueNaviModel = (ContinueNaviModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ContinueNaviModel.class);
                    if (continueNaviModel != null) {
                        MessageCompentData messageCompentData = new MessageCompentData();
                        messageCompentData.content = continueNaviModel.n();
                        messageCompentData.isShow = continueNaviModel.getIsShow();
                        messageCompentData.isTop = continueNaviModel.p();
                        int o = continueNaviModel.o();
                        if (o == 4) {
                            messageCompentData.msgType = 2;
                        } else if (o == 2) {
                            messageCompentData.msgType = 4;
                        } else {
                            messageCompentData.msgType = o;
                        }
                        rx rxVar = new rx(messageCompentData);
                        rxVar.a(str);
                        rxVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) rxVar);
                        return;
                    }
                    aa0.a("ProtocolDistributeManager", "PROTOCOL_CONTINUE_NAVI model is null", new Object[0]);
                    return;
                case 30424:
                    qx qxVar = new qx(k80.a(str));
                    qxVar.a(str);
                    qxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) qxVar);
                    return;
                case 30425:
                    NaviFacilityProtocolModel naviFacilityProtocolModel = (NaviFacilityProtocolModel) gd.a(JsonHeader.parseJsonToJsonObj(str), NaviFacilityProtocolModel.class);
                    u20 u20Var = new u20();
                    u20Var.a(naviFacilityProtocolModel.o());
                    u20Var.a(naviFacilityProtocolModel.n());
                    u20Var.a(str);
                    u20Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) u20Var);
                    return;
                case 30426:
                    aa0.a("ProtocolDistributeManager", "SendManeuverIconData", new Object[0]);
                    d00 d00Var = new d00((ManeuverIconModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ManeuverIconModel.class));
                    d00Var.a(str);
                    d00Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) d00Var);
                    return;
                case 30430:
                    e10 e10Var = new e10((TripReporterModel) gd.a(JsonHeader.parseJsonToJsonObj(str), TripReporterModel.class));
                    e10Var.a(str);
                    e10Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) e10Var);
                    return;
                case 30435:
                    TmcSegmentData c = k80.c(str);
                    if (r90.b()) {
                        bz bzVar = new bz(c);
                        bzVar.a(str);
                        bzVar.c = s90.a(jsonHeader.requestCode, 0);
                        fv.e().a((dx) bzVar);
                    }
                    ob0.x().a(c);
                    Object[] objArr = new Object[1];
                    objArr[0] = c == null ? "is null" : c.toString();
                    aa0.a("ProtocolDistributeManager", "悬浮窗实时交通光柱图透出 segmentData：{?}", objArr);
                    ei0.e().a(c);
                    return;
                case 30437:
                    yw ywVar = new yw(((ArStatusModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ArStatusModel.class)).n());
                    ywVar.a(str);
                    ywVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) ywVar);
                    return;
                case 30503:
                    NotifyBindCarAutoUserModel notifyBindCarAutoUserModel = (NotifyBindCarAutoUserModel) gd.a(JsonHeader.parseJsonToJsonObj(str), NotifyBindCarAutoUserModel.class);
                    fx fxVar = new fx(notifyBindCarAutoUserModel.o(), notifyBindCarAutoUserModel.p(), notifyBindCarAutoUserModel.n());
                    fxVar.a(notifyBindCarAutoUserModel.q());
                    fxVar.a(str);
                    fxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) fxVar);
                    return;
                case 30508:
                    aa0.a("ProtocolDistributeManager", "NotifyFavInfoUpdate", new Object[0]);
                    x40 x40Var = new x40((ChangedFavoritePoiModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ChangedFavoritePoiModel.class));
                    x40Var.a(str);
                    x40Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) x40Var);
                    return;
                case 30510:
                    q40 q40Var = new q40((SendAutoLoginStateModel) gd.a(JsonHeader.parseJsonToJsonObj(str), SendAutoLoginStateModel.class));
                    q40Var.a(str);
                    q40Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) q40Var);
                    return;
                case 30512:
                    a50 a50Var = new a50();
                    a50Var.a(str);
                    a50Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) a50Var);
                    AndroidSystemSetting.callSystemApp(2);
                    return;
                case 30801:
                    ExScreenRenderModel exScreenRenderModel = (ExScreenRenderModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ExScreenRenderModel.class);
                    tx txVar = new tx(exScreenRenderModel.getScreenWindow(), exScreenRenderModel.getScreenMode(), exScreenRenderModel.getScreenStatus());
                    txVar.a(str);
                    txVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) txVar);
                    AndroidProtocolExe.sendExScreenStatus(exScreenRenderModel.getScreenStatus(), exScreenRenderModel.getScreenWindow(), exScreenRenderModel.getScreenMode());
                    return;
                case 50009:
                    zy zyVar = new zy((RspSendLayoutTreeInformationToSystemModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspSendLayoutTreeInformationToSystemModel.class));
                    zyVar.a(str);
                    zyVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) zyVar);
                    return;
                case 80028:
                    i10 i10Var = new i10((RspMultiScreenStatusModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspMultiScreenStatusModel.class));
                    i10Var.a(str);
                    i10Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) i10Var);
                    return;
                case 80030:
                    zw zwVar = new zw((RspGetAreaInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspGetAreaInfoModel.class));
                    zwVar.a(str);
                    zwVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) zwVar);
                    return;
                case 80033:
                    zx zxVar = new zx((RspGpsStatusNotifyModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspGpsStatusNotifyModel.class));
                    zxVar.a(str);
                    zxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) zxVar);
                    return;
                case 80034:
                    n40 n40Var = new n40((RspSendSearchResultListStateModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspSendSearchResultListStateModel.class));
                    n40Var.a(str);
                    n40Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) n40Var);
                    return;
                case 80049:
                    kx kxVar = new kx((RspDataConsumptionInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspDataConsumptionInfoModel.class));
                    kxVar.a(str);
                    kxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) kxVar);
                    return;
                case 80050:
                    m00 m00Var = new m00((RspResidualEnergyInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspResidualEnergyInfoModel.class));
                    m00Var.a(str);
                    m00Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) m00Var);
                    return;
                case 80052:
                    z10 z10Var = new z10((RspReturnStatesofClearHistoryRecordModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspReturnStatesofClearHistoryRecordModel.class));
                    z10Var.a(str);
                    z10Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) z10Var);
                    return;
                case 80057:
                    jx jxVar = new jx((RspCurrentRoadNameDispatchModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspCurrentRoadNameDispatchModel.class));
                    jxVar.a(str);
                    jxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) jxVar);
                    return;
                case 80063:
                    by byVar = new by((RspHeadingDirectionModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspHeadingDirectionModel.class));
                    byVar.a(str);
                    byVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) byVar);
                    return;
                case 80068:
                    i20 i20Var = new i20((RspSendDesInfoLastMileModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspSendDesInfoLastMileModel.class));
                    i20Var.a(str);
                    i20Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) i20Var);
                    return;
                case 80069:
                    ez ezVar = new ez((RspTrafficEventsReportModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspTrafficEventsReportModel.class));
                    ezVar.a(str);
                    ezVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) ezVar);
                    return;
                case 80070:
                    rp.a aVar = new rp.a(str);
                    jp.I().a(60008, aVar);
                    if (aVar.b()) {
                        str = (String) aVar.a();
                    }
                    RspSoftwareInfoNotifyModel rspSoftwareInfoNotifyModel = (RspSoftwareInfoNotifyModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspSoftwareInfoNotifyModel.class);
                    r30 r30Var = new r30(rspSoftwareInfoNotifyModel);
                    r30Var.a(str);
                    r30Var.c = s90.a(jsonHeader.requestCode, 0);
                    ee.A().a(rspSoftwareInfoNotifyModel.getVersionNum());
                    fv.e().a((dx) r30Var);
                    return;
                case 80089:
                    g50 g50Var = new g50((ReqSend2carInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), ReqSend2carInfoModel.class));
                    g50Var.a(str);
                    g50Var.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) g50Var);
                    return;
                case 80095:
                    RspMapOperateResultModel rspMapOperateResultModel = (RspMapOperateResultModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspMapOperateResultModel.class);
                    iz izVar = new iz(rspMapOperateResultModel);
                    izVar.a(str);
                    izVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) izVar);
                    if (rspMapOperateResultModel != null) {
                        int operateType = rspMapOperateResultModel.getOperateType();
                        if (3 == operateType || 4 == operateType) {
                            hy hyVar = new hy(3 == operateType ? 0 : 1, rspMapOperateResultModel.getIsCanZoom());
                            hyVar.c = s90.a(jsonHeader.requestCode, 0);
                            fv.e().a((dx) hyVar);
                            return;
                        }
                        return;
                    }
                    return;
                case 80100:
                    sx sxVar = new sx((RspScaleLevelNotifyModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspScaleLevelNotifyModel.class));
                    sxVar.a(str);
                    sxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) sxVar);
                    return;
                case 80105:
                    ey eyVar = new ey((RspCameraSpeedInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspCameraSpeedInfoModel.class));
                    eyVar.a(str);
                    eyVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) eyVar);
                    return;
                case 80108:
                    ky kyVar = new ky((RspMidPOIsInfoNotifyModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspMidPOIsInfoNotifyModel.class));
                    kyVar.a(str);
                    kyVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) kyVar);
                    return;
                case 80109:
                    nx nxVar = new nx((RspPOIInfoShareModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspPOIInfoShareModel.class));
                    nxVar.a(str);
                    nxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) nxVar);
                    return;
                case 80112:
                    gx gxVar = new gx((RspSlopeAndRollAngleInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspSlopeAndRollAngleInfoModel.class));
                    gxVar.a(str);
                    gxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) gxVar);
                    return;
                case 80116:
                    iy iyVar = new iy((RspMessageDisappearNotifyModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspMessageDisappearNotifyModel.class));
                    iyVar.a(str);
                    iyVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) iyVar);
                    return;
                case 80119:
                    cx cxVar = new cx((RspAvoidJamOperateStatusModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspAvoidJamOperateStatusModel.class));
                    cxVar.a(str);
                    cxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) cxVar);
                    return;
                case 80120:
                    xw xwVar = new xw((RspArOperationInformModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspArOperationInformModel.class));
                    xwVar.a(str);
                    xwVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) xwVar);
                    return;
                case 80122:
                    qy qyVar = new qy((RspPlaySettingStatusDispatchModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspPlaySettingStatusDispatchModel.class));
                    qyVar.a(str);
                    qyVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) qyVar);
                    return;
                case 80138:
                    my myVar = new my((RspNewMidPOIsInfoNotifyModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspNewMidPOIsInfoNotifyModel.class));
                    myVar.a(str);
                    myVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) myVar);
                    return;
                case 80142:
                    hx hxVar = new hx((RspCarRestrictionsInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspCarRestrictionsInfoModel.class));
                    hxVar.a(str);
                    hxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) hxVar);
                    return;
                case 80143:
                    ix ixVar = new ix((RspChannelIDModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspChannelIDModel.class));
                    ixVar.a(str);
                    ixVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) ixVar);
                    return;
                case 80146:
                    hz hzVar = new hz((RspVehicleEnergyInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspVehicleEnergyInfoModel.class));
                    hzVar.a(str);
                    hzVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) hzVar);
                    return;
                case 80149:
                    xx xxVar = new xx((RspGetPlateNumberModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspGetPlateNumberModel.class));
                    xxVar.a(str);
                    xxVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) xxVar);
                    return;
                case 80155:
                    yy yyVar = new yy((RspRouteInfoContrastModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspRouteInfoContrastModel.class));
                    yyVar.a(str);
                    yyVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) yyVar);
                    return;
                case 80161:
                    cy cyVar = new cy((RspHistoryOutputModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspHistoryOutputModel.class));
                    cyVar.a(str);
                    cyVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) cyVar);
                    return;
                case 80172:
                    ry ryVar = new ry((RspQuerySavesOutputModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspQuerySavesOutputModel.class));
                    ryVar.a(str);
                    ryVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) ryVar);
                    return;
                case 80174:
                    jp.I().a((PassingPointItem) gd.a(JsonHeader.parseJsonToJsonObj(str), PassingPointItem.class));
                    return;
                case 80176:
                    ww wwVar = new ww((RspArHudTBTInfoOutputModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspArHudTBTInfoOutputModel.class));
                    wwVar.a(str);
                    wwVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) wwVar);
                    return;
                case 80177:
                    vw vwVar = new vw((RspArHudGuideLineOutputModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspArHudGuideLineOutputModel.class));
                    vwVar.a(str);
                    vwVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) vwVar);
                    return;
                case 80187:
                    ny nyVar = new ny((RspNotifyViaAndEndPoiInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspNotifyViaAndEndPoiInfoModel.class));
                    nyVar.a(str);
                    nyVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) nyVar);
                    return;
                case 80189:
                    dz dzVar = new dz((RspTrafficLightsCountdownInfoModel) gd.a(JsonHeader.parseJsonToJsonObj(str), RspTrafficLightsCountdownInfoModel.class));
                    dzVar.a(str);
                    dzVar.c = s90.a(jsonHeader.requestCode, 0);
                    fv.e().a((dx) dzVar);
                    return;
                default:
                    return;
            }
        } catch (Exception e) {
            aa0.a("ProtocolDistributeManager", "distributeDispatch ProtocolId = {?} exception:{?}", Integer.valueOf(jsonHeader.protocolId), e.getMessage());
        }
    }
}
