package com.alibaba.android.ark;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/* loaded from: classes.dex */
public enum AIMConvTypingCommand {
    CONV_TYPING_COMMAND_UNKNOWN(-1),
    CONV_TYPING_COMMAND_TYPING(0),
    CONV_TYPING_COMMAND_CANCEL(1);

    public static final Map<Integer, AIMConvTypingCommand> sValueToEnumMap = new HashMap();
    public final int value;

    static {
        Iterator it = EnumSet.allOf(AIMConvTypingCommand.class).iterator();
        while (it.hasNext()) {
            AIMConvTypingCommand aIMConvTypingCommand = (AIMConvTypingCommand) it.next();
            sValueToEnumMap.put(Integer.valueOf(aIMConvTypingCommand.value), aIMConvTypingCommand);
        }
    }

    AIMConvTypingCommand(int i) {
        this.value = i;
    }

    public static AIMConvTypingCommand forValue(int i) {
        return sValueToEnumMap.get(Integer.valueOf(i));
    }

    public int getValue() {
        return this.value;
    }
}
