package com.alibaba.android.ark;

import java.util.concurrent.atomic.AtomicBoolean;

/* loaded from: classes.dex */
public abstract class AIMRpcService {

    /* loaded from: classes.dex */
    public static final class CppProxy extends AIMRpcService {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final AtomicBoolean destroyed = new AtomicBoolean(false);
        public final long nativeRef;

        public CppProxy(long j) {
            if (j != 0) {
                this.nativeRef = j;
                return;
            }
            throw new RuntimeException("nativeRef is zero");
        }

        private native void RequestNative(long j, String str, byte[] bArr, AIMRpcRequestHeader aIMRpcRequestHeader, AIMRpcRequestListener aIMRpcRequestListener);

        private native void SubscribeNative(long j, String str, AIMPushListener aIMPushListener);

        private native void nativeDestroy(long j);

        @Override // com.alibaba.android.ark.AIMRpcService
        public void Request(String str, byte[] bArr, AIMRpcRequestHeader aIMRpcRequestHeader, AIMRpcRequestListener aIMRpcRequestListener) {
            RequestNative(this.nativeRef, str, bArr, aIMRpcRequestHeader, aIMRpcRequestListener);
        }

        @Override // com.alibaba.android.ark.AIMRpcService
        public void Subscribe(String str, AIMPushListener aIMPushListener) {
            SubscribeNative(this.nativeRef, str, aIMPushListener);
        }

        public void djinniPrivateDestroy() {
            if (this.destroyed.getAndSet(true)) {
                return;
            }
            nativeDestroy(this.nativeRef);
        }

        public void finalize() throws Throwable {
            djinniPrivateDestroy();
            super.finalize();
        }
    }

    public abstract void Request(String str, byte[] bArr, AIMRpcRequestHeader aIMRpcRequestHeader, AIMRpcRequestListener aIMRpcRequestListener);

    public abstract void Subscribe(String str, AIMPushListener aIMPushListener);
}
