package com.alibaba.android.ark;

import java.util.concurrent.atomic.AtomicBoolean;

/* loaded from: classes.dex */
public abstract class AIMSyncService {

    /* loaded from: classes.dex */
    public static final class CppProxy extends AIMSyncService {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final AtomicBoolean destroyed = new AtomicBoolean(false);
        public final long nativeRef;

        public CppProxy(long j) {
            if (j != 0) {
                this.nativeRef = j;
                return;
            }
            throw new RuntimeException("nativeRef is zero");
        }

        private native boolean AddSyncBizEventListenerNative(long j, int i, AIMSyncPlusBizEventListener aIMSyncPlusBizEventListener);

        private native boolean AddSyncDataHandlerNative(long j, int i, AIMSyncPlusPackageDataHandler aIMSyncPlusPackageDataHandler);

        private native boolean AddSyncTopicEventListenerNative(long j, String str, AIMSyncPlusTopicEventListener aIMSyncPlusTopicEventListener);

        private native boolean RemoveSyncBizEventListenerNative(long j, int i, AIMSyncPlusBizEventListener aIMSyncPlusBizEventListener);

        private native boolean RemoveSyncDataHandlerNative(long j, int i, AIMSyncPlusPackageDataHandler aIMSyncPlusPackageDataHandler);

        private native boolean RemoveSyncTopicEventListenerNative(long j, String str, AIMSyncPlusTopicEventListener aIMSyncPlusTopicEventListener);

        private native void nativeDestroy(long j);

        @Override // com.alibaba.android.ark.AIMSyncService
        public boolean AddSyncBizEventListener(int i, AIMSyncPlusBizEventListener aIMSyncPlusBizEventListener) {
            return AddSyncBizEventListenerNative(this.nativeRef, i, aIMSyncPlusBizEventListener);
        }

        @Override // com.alibaba.android.ark.AIMSyncService
        public boolean AddSyncDataHandler(int i, AIMSyncPlusPackageDataHandler aIMSyncPlusPackageDataHandler) {
            return AddSyncDataHandlerNative(this.nativeRef, i, aIMSyncPlusPackageDataHandler);
        }

        @Override // com.alibaba.android.ark.AIMSyncService
        public boolean AddSyncTopicEventListener(String str, AIMSyncPlusTopicEventListener aIMSyncPlusTopicEventListener) {
            return AddSyncTopicEventListenerNative(this.nativeRef, str, aIMSyncPlusTopicEventListener);
        }

        @Override // com.alibaba.android.ark.AIMSyncService
        public boolean RemoveSyncBizEventListener(int i, AIMSyncPlusBizEventListener aIMSyncPlusBizEventListener) {
            return RemoveSyncBizEventListenerNative(this.nativeRef, i, aIMSyncPlusBizEventListener);
        }

        @Override // com.alibaba.android.ark.AIMSyncService
        public boolean RemoveSyncDataHandler(int i, AIMSyncPlusPackageDataHandler aIMSyncPlusPackageDataHandler) {
            return RemoveSyncDataHandlerNative(this.nativeRef, i, aIMSyncPlusPackageDataHandler);
        }

        @Override // com.alibaba.android.ark.AIMSyncService
        public boolean RemoveSyncTopicEventListener(String str, AIMSyncPlusTopicEventListener aIMSyncPlusTopicEventListener) {
            return RemoveSyncTopicEventListenerNative(this.nativeRef, str, aIMSyncPlusTopicEventListener);
        }

        public void djinniPrivateDestroy() {
            if (this.destroyed.getAndSet(true)) {
                return;
            }
            nativeDestroy(this.nativeRef);
        }

        public void finalize() throws Throwable {
            djinniPrivateDestroy();
            super.finalize();
        }
    }

    public abstract boolean AddSyncBizEventListener(int i, AIMSyncPlusBizEventListener aIMSyncPlusBizEventListener);

    public abstract boolean AddSyncDataHandler(int i, AIMSyncPlusPackageDataHandler aIMSyncPlusPackageDataHandler);

    public abstract boolean AddSyncTopicEventListener(String str, AIMSyncPlusTopicEventListener aIMSyncPlusTopicEventListener);

    public abstract boolean RemoveSyncBizEventListener(int i, AIMSyncPlusBizEventListener aIMSyncPlusBizEventListener);

    public abstract boolean RemoveSyncDataHandler(int i, AIMSyncPlusPackageDataHandler aIMSyncPlusPackageDataHandler);

    public abstract boolean RemoveSyncTopicEventListener(String str, AIMSyncPlusTopicEventListener aIMSyncPlusTopicEventListener);
}
