package com.amap.location.b.f;

import android.content.ContentResolver;
import android.content.Context;
import android.os.Build;
import android.provider.Settings;
import android.telephony.CellIdentityCdma;
import android.telephony.CellIdentityGsm;
import android.telephony.CellIdentityLte;
import android.telephony.CellIdentityWcdma;
import android.telephony.CellInfo;
import android.telephony.CellInfoCdma;
import android.telephony.CellInfoGsm;
import android.telephony.CellInfoLte;
import android.telephony.CellInfoWcdma;
import android.telephony.CellLocation;
import android.telephony.NeighboringCellInfo;
import android.telephony.SignalStrength;
import android.telephony.TelephonyManager;
import android.telephony.cdma.CdmaCellLocation;
import android.telephony.gsm.GsmCellLocation;
import com.amap.location.b.c.k;
import com.autonavi.amapauto.protocol.constant.StandardProtocolKey;
import java.util.List;

/* compiled from: CellUtil.java */
/* loaded from: classes.dex */
public class b {
    public static int a(int i) {
        return (i * 2) - 113;
    }

    public static void a(Context context, com.amap.location.b.c.b bVar, CellLocation cellLocation, SignalStrength signalStrength, List<CellInfo> list) {
        List neighboringCellInfo;
        TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService(StandardProtocolKey.PHONE);
        bVar.a(a(telephonyManager), b(telephonyManager));
        if (cellLocation != null) {
            if (cellLocation instanceof GsmCellLocation) {
                try {
                    neighboringCellInfo = telephonyManager.getNeighboringCellInfo();
                } catch (Throwable th) {
                    com.amap.location.common.e.a.a(th);
                }
                a(bVar, cellLocation, signalStrength, neighboringCellInfo);
            }
            neighboringCellInfo = null;
            a(bVar, cellLocation, signalStrength, neighboringCellInfo);
        }
        if (list != null) {
            a(bVar, list);
        }
    }

    public static String b(TelephonyManager telephonyManager) {
        String str;
        try {
            str = telephonyManager.getNetworkOperator();
        } catch (Throwable th) {
            com.amap.location.common.e.a.a(th);
            str = null;
        }
        return str == null ? "" : str;
    }

    public static byte a(TelephonyManager telephonyManager) {
        try {
            return (byte) telephonyManager.getNetworkType();
        } catch (Throwable th) {
            com.amap.location.common.e.a.a(th);
            return (byte) 0;
        }
    }

    public static CellInfo a(List<CellInfo> list) {
        if (Build.VERSION.SDK_INT < 17 || list == null) {
            return null;
        }
        for (CellInfo cellInfo : list) {
            if ((((cellInfo instanceof CellInfoLte) || (cellInfo instanceof CellInfoCdma) || (cellInfo instanceof CellInfoGsm)) && cellInfo.isRegistered()) || (Build.VERSION.SDK_INT >= 18 && (cellInfo instanceof CellInfoWcdma) && cellInfo.isRegistered())) {
                return cellInfo;
            }
        }
        return null;
    }

    /* JADX WARN: Type inference failed for: r0v5, types: [T, com.amap.location.b.c.h] */
    /* JADX WARN: Type inference failed for: r8v2, types: [com.amap.location.b.c.a, T] */
    /* JADX WARN: Type inference failed for: r8v3, types: [T, com.amap.location.b.c.h] */
    public static void a(com.amap.location.b.c.b bVar, CellLocation cellLocation, SignalStrength signalStrength, List<NeighboringCellInfo> list) {
        if (cellLocation instanceof GsmCellLocation) {
            GsmCellLocation gsmCellLocation = (GsmCellLocation) cellLocation;
            ?? hVar = new com.amap.location.b.c.h();
            hVar.c = gsmCellLocation.getLac();
            hVar.d = gsmCellLocation.getCid();
            if (Build.VERSION.SDK_INT >= 9) {
                hVar.i = gsmCellLocation.getPsc();
            }
            if (signalStrength != null) {
                int gsmSignalStrength = signalStrength.getGsmSignalStrength();
                hVar.e = gsmSignalStrength == 99 ? Integer.MAX_VALUE : a(gsmSignalStrength);
            }
            com.amap.location.b.c.c cVar = new com.amap.location.b.c.c();
            cVar.a = (byte) 1;
            cVar.f = hVar;
            cVar.b = (byte) 1;
            cVar.c = (byte) 0;
            bVar.c.add(cVar);
            if (list != null) {
                for (NeighboringCellInfo neighboringCellInfo : list) {
                    ?? hVar2 = new com.amap.location.b.c.h();
                    hVar2.c = neighboringCellInfo.getLac();
                    hVar2.d = neighboringCellInfo.getCid();
                    hVar2.e = neighboringCellInfo.getRssi();
                    hVar2.i = neighboringCellInfo.getPsc();
                    com.amap.location.b.c.c cVar2 = new com.amap.location.b.c.c();
                    cVar2.a = (byte) 1;
                    cVar2.f = hVar2;
                    cVar2.b = (byte) 0;
                    cVar2.c = (byte) 0;
                    bVar.c.add(cVar2);
                }
                return;
            }
            return;
        }
        if (cellLocation instanceof CdmaCellLocation) {
            CdmaCellLocation cdmaCellLocation = (CdmaCellLocation) cellLocation;
            ?? aVar = new com.amap.location.b.c.a();
            aVar.d = cdmaCellLocation.getBaseStationLatitude();
            aVar.e = cdmaCellLocation.getBaseStationLongitude();
            aVar.a = cdmaCellLocation.getSystemId();
            aVar.b = cdmaCellLocation.getNetworkId();
            aVar.c = cdmaCellLocation.getBaseStationId();
            if (signalStrength != null) {
                aVar.f = signalStrength.getCdmaDbm();
            }
            com.amap.location.b.c.c cVar3 = new com.amap.location.b.c.c();
            cVar3.a = (byte) 2;
            cVar3.f = aVar;
            cVar3.b = (byte) 1;
            cVar3.c = (byte) 0;
            bVar.c.add(cVar3);
        }
    }

    /* JADX WARN: Type inference failed for: r4v0, types: [com.amap.location.b.c.a, T] */
    /* JADX WARN: Type inference failed for: r5v4, types: [T, com.amap.location.b.c.h] */
    /* JADX WARN: Type inference failed for: r5v5, types: [T, com.amap.location.b.c.i] */
    /* JADX WARN: Type inference failed for: r5v6, types: [com.amap.location.b.c.k, T] */
    public static void a(com.amap.location.b.c.b bVar, List<CellInfo> list) {
        if (Build.VERSION.SDK_INT >= 17) {
            for (CellInfo cellInfo : list) {
                if (cellInfo instanceof CellInfoCdma) {
                    CellInfoCdma cellInfoCdma = (CellInfoCdma) cellInfo;
                    CellIdentityCdma cellIdentity = cellInfoCdma.getCellIdentity();
                    ?? aVar = new com.amap.location.b.c.a();
                    aVar.d = cellIdentity.getLatitude();
                    aVar.e = cellIdentity.getLongitude();
                    aVar.a = cellIdentity.getSystemId();
                    aVar.b = cellIdentity.getNetworkId();
                    aVar.c = cellIdentity.getBasestationId();
                    aVar.f = cellInfoCdma.getCellSignalStrength().getCdmaDbm();
                    aVar.g = cellInfoCdma.getCellSignalStrength().getAsuLevel();
                    com.amap.location.b.c.c cVar = new com.amap.location.b.c.c();
                    cVar.a = (byte) 2;
                    cVar.f = aVar;
                    cVar.b = cellInfo.isRegistered() ? (byte) 1 : (byte) 0;
                    cVar.c = (byte) 1;
                    bVar.c.add(cVar);
                } else if (cellInfo instanceof CellInfoGsm) {
                    CellInfoGsm cellInfoGsm = (CellInfoGsm) cellInfo;
                    CellIdentityGsm cellIdentity2 = cellInfoGsm.getCellIdentity();
                    ?? hVar = new com.amap.location.b.c.h();
                    hVar.a = cellIdentity2.getMcc();
                    hVar.b = cellIdentity2.getMnc();
                    hVar.c = cellIdentity2.getLac();
                    hVar.d = cellIdentity2.getCid();
                    hVar.e = cellInfoGsm.getCellSignalStrength().getDbm();
                    hVar.h = cellInfoGsm.getCellSignalStrength().getAsuLevel();
                    if (Build.VERSION.SDK_INT >= 24) {
                        hVar.f = cellIdentity2.getArfcn();
                        hVar.g = cellIdentity2.getBsic();
                    }
                    com.amap.location.b.c.c cVar2 = new com.amap.location.b.c.c();
                    cVar2.a = (byte) 1;
                    cVar2.f = hVar;
                    cVar2.b = cellInfo.isRegistered() ? (byte) 1 : (byte) 0;
                    cVar2.c = (byte) 1;
                    bVar.c.add(cVar2);
                } else if (cellInfo instanceof CellInfoLte) {
                    CellInfoLte cellInfoLte = (CellInfoLte) cellInfo;
                    CellIdentityLte cellIdentity3 = cellInfoLte.getCellIdentity();
                    ?? iVar = new com.amap.location.b.c.i();
                    iVar.a = cellIdentity3.getMcc();
                    iVar.b = cellIdentity3.getMnc();
                    iVar.c = cellIdentity3.getTac();
                    iVar.d = cellIdentity3.getCi();
                    iVar.e = cellIdentity3.getPci();
                    iVar.f = cellInfoLte.getCellSignalStrength().getDbm();
                    iVar.h = cellInfoLte.getCellSignalStrength().getAsuLevel();
                    if (Build.VERSION.SDK_INT >= 24) {
                        iVar.g = cellIdentity3.getEarfcn();
                    }
                    com.amap.location.b.c.c cVar3 = new com.amap.location.b.c.c();
                    cVar3.a = (byte) 3;
                    cVar3.f = iVar;
                    cVar3.b = cellInfo.isRegistered() ? (byte) 1 : (byte) 0;
                    cVar3.c = (byte) 1;
                    bVar.c.add(cVar3);
                } else if (Build.VERSION.SDK_INT >= 18 && (cellInfo instanceof CellInfoWcdma)) {
                    CellInfoWcdma cellInfoWcdma = (CellInfoWcdma) cellInfo;
                    CellIdentityWcdma cellIdentity4 = cellInfoWcdma.getCellIdentity();
                    ?? kVar = new k();
                    kVar.a = cellIdentity4.getMcc();
                    kVar.b = cellIdentity4.getMnc();
                    kVar.c = cellIdentity4.getLac();
                    kVar.d = cellIdentity4.getCid();
                    kVar.e = cellIdentity4.getPsc();
                    kVar.f = cellInfoWcdma.getCellSignalStrength().getDbm();
                    kVar.h = cellInfoWcdma.getCellSignalStrength().getAsuLevel();
                    if (Build.VERSION.SDK_INT >= 24) {
                        kVar.g = cellIdentity4.getUarfcn();
                    }
                    com.amap.location.b.c.c cVar4 = new com.amap.location.b.c.c();
                    cVar4.a = (byte) 4;
                    cVar4.f = kVar;
                    cVar4.b = cellInfo.isRegistered() ? (byte) 1 : (byte) 0;
                    cVar4.c = (byte) 1;
                    bVar.c.add(cVar4);
                }
            }
        }
    }

    public static boolean a(CellLocation cellLocation, CellLocation cellLocation2) {
        if (cellLocation == cellLocation2) {
            return true;
        }
        if (cellLocation != null && cellLocation2 != null) {
            if ((cellLocation instanceof GsmCellLocation) && (cellLocation2 instanceof GsmCellLocation)) {
                GsmCellLocation gsmCellLocation = (GsmCellLocation) cellLocation;
                GsmCellLocation gsmCellLocation2 = (GsmCellLocation) cellLocation2;
                return gsmCellLocation.getCid() == gsmCellLocation2.getCid() && gsmCellLocation.getLac() == gsmCellLocation2.getLac();
            }
            if ((cellLocation instanceof CdmaCellLocation) && (cellLocation2 instanceof CdmaCellLocation)) {
                CdmaCellLocation cdmaCellLocation = (CdmaCellLocation) cellLocation;
                CdmaCellLocation cdmaCellLocation2 = (CdmaCellLocation) cellLocation2;
                return cdmaCellLocation.getBaseStationId() == cdmaCellLocation2.getBaseStationId() && cdmaCellLocation.getNetworkId() == cdmaCellLocation2.getNetworkId() && cdmaCellLocation.getSystemId() == cdmaCellLocation2.getSystemId();
            }
        }
        return false;
    }

    public static boolean a(CellInfo cellInfo, CellInfo cellInfo2) {
        if (cellInfo == cellInfo2) {
            return true;
        }
        if (cellInfo != null && cellInfo2 != null && Build.VERSION.SDK_INT >= 17) {
            if ((cellInfo instanceof CellInfoGsm) && (cellInfo2 instanceof CellInfoGsm)) {
                CellIdentityGsm cellIdentity = ((CellInfoGsm) cellInfo).getCellIdentity();
                CellIdentityGsm cellIdentity2 = ((CellInfoGsm) cellInfo2).getCellIdentity();
                return cellIdentity.getCid() == cellIdentity2.getCid() && cellIdentity.getLac() == cellIdentity2.getLac();
            }
            if ((cellInfo instanceof CellInfoCdma) && (cellInfo2 instanceof CellInfoCdma)) {
                CellIdentityCdma cellIdentity3 = ((CellInfoCdma) cellInfo).getCellIdentity();
                CellIdentityCdma cellIdentity4 = ((CellInfoCdma) cellInfo2).getCellIdentity();
                return cellIdentity3.getBasestationId() == cellIdentity4.getBasestationId() && cellIdentity3.getNetworkId() == cellIdentity4.getNetworkId() && cellIdentity3.getSystemId() == cellIdentity4.getSystemId();
            }
            if ((cellInfo instanceof CellInfoLte) && (cellInfo2 instanceof CellInfoLte)) {
                CellIdentityLte cellIdentity5 = ((CellInfoLte) cellInfo).getCellIdentity();
                CellIdentityLte cellIdentity6 = ((CellInfoLte) cellInfo2).getCellIdentity();
                return cellIdentity5.getCi() == cellIdentity6.getCi() && cellIdentity5.getTac() == cellIdentity6.getTac();
            }
            if (Build.VERSION.SDK_INT >= 18 && (cellInfo instanceof CellInfoWcdma) && (cellInfo2 instanceof CellInfoWcdma)) {
                CellIdentityWcdma cellIdentity7 = ((CellInfoWcdma) cellInfo).getCellIdentity();
                CellIdentityWcdma cellIdentity8 = ((CellInfoWcdma) cellInfo2).getCellIdentity();
                return cellIdentity7.getCid() == cellIdentity8.getCid() && cellIdentity7.getLac() == cellIdentity8.getLac();
            }
        }
        return false;
    }

    public static boolean a(Context context) {
        int i;
        try {
            ContentResolver contentResolver = context.getContentResolver();
            if (Build.VERSION.SDK_INT >= 17) {
                i = Settings.Global.getInt(contentResolver, "airplane_mode_on", 0);
            } else {
                i = Settings.System.getInt(contentResolver, "airplane_mode_on", 0);
            }
            return i != 0;
        } catch (Throwable th) {
            com.amap.location.common.e.a.a(th);
            return false;
        }
    }
}
