package com.amap.location.icecream;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.os.Build;
import android.text.TextUtils;
import android.util.Log;
import com.amap.location.icecream.interfaces.IIcecream;
import com.amap.location.uptunnel.UpTunnel;
import dalvik.system.DexClassLoader;
import java.io.File;
import java.lang.reflect.Field;
import java.util.HashMap;
import java.util.Map;
import org.json.JSONObject;

/* compiled from: IcecreamCone.java */
/* loaded from: classes.dex */
public class c {
    public static String a = "unknow";
    public static Map<String, DexClassLoader> b = new HashMap();
    public IIcecream c;
    public h d;

    private String b() {
        StringBuilder sb = new StringBuilder();
        sb.append("|");
        sb.append(a);
        try {
            sb.append("|");
            sb.append(Build.BRAND);
            sb.append("|");
            sb.append(Build.MODEL);
            sb.append("|");
            sb.append(Build.VERSION.SDK_INT);
        } catch (Throwable unused) {
        }
        sb.append("|");
        return sb.toString();
    }

    public synchronized void a(h hVar, Context context, JSONObject jSONObject) {
        if (context == null || hVar == null) {
            return;
        }
        if (this.c == null) {
            a(hVar, context);
        }
        if (this.c != null) {
            try {
                this.c.start(context, jSONObject);
            } catch (Throwable th) {
                String str = hVar.a + b() + Log.getStackTraceString(th);
                com.amap.location.common.e.a.c("icecone", "start error:" + str);
                UpTunnel.reportEvent(100057, str.getBytes());
            }
        }
    }

    public synchronized void a() {
        if (this.c != null) {
            try {
                this.c.stop();
            } catch (Throwable th) {
                String str = this.d.a + b() + Log.getStackTraceString(th);
                com.amap.location.common.e.a.c("icecone", "stop error:" + str);
                UpTunnel.reportEvent(100058, str.getBytes());
            }
        }
    }

    private void a(h hVar, Context context) {
        if (context == null || hVar == null) {
            return;
        }
        this.d = hVar;
        a(context);
        DexClassLoader dexClassLoader = b.get(this.d.c);
        if (dexClassLoader == null) {
            String str = com.amap.location.icecream.a.a.a(context) + File.separator + hVar.a;
            String str2 = com.amap.location.icecream.a.a.b(context) + File.separator + hVar.a;
            String a2 = a(str, str2);
            if ("unknow".equals(a2)) {
                String str3 = this.d.a + b();
                com.amap.location.common.e.a.c("icecone", "lib system type not match" + str3);
                UpTunnel.reportEvent(100053, str3.getBytes());
                return;
            }
            if (TextUtils.isEmpty(a2)) {
                if (hVar.f) {
                    return;
                } else {
                    a2 = context.getApplicationInfo().nativeLibraryDir;
                }
            }
            try {
                dexClassLoader = new DexClassLoader(str, str2, a2, context.getClassLoader());
            } catch (Throwable th) {
                String str4 = this.d.a + b() + Log.getStackTraceString(th);
                com.amap.location.common.e.a.c("icecone", "classloader error:" + str4);
                UpTunnel.reportEvent(100054, str4.getBytes());
            }
        }
        Class<?> a3 = a(hVar.d, dexClassLoader);
        if (a3 == null) {
            com.amap.location.common.e.a.c("icecone", "class create error:" + hVar.a + b());
            return;
        }
        try {
            Object newInstance = a3.newInstance();
            if (newInstance != null && (newInstance instanceof IIcecream)) {
                IIcecream iIcecream = (IIcecream) newInstance;
                this.c = iIcecream;
                if (iIcecream != null) {
                    b.put(this.d.c, dexClassLoader);
                }
            } else {
                com.amap.location.common.e.a.c("icecone", "instance create faild:" + hVar.a + b());
            }
        } catch (Throwable th2) {
            String str5 = this.d.a + b() + Log.getStackTraceString(th2);
            com.amap.location.common.e.a.c("icecone", "instance create error:" + str5);
            UpTunnel.reportEvent(100056, str5.getBytes());
        }
    }

    private String a(String str, String str2) {
        String str3;
        try {
            File file = new File(str2);
            if (!file.exists() && !file.mkdirs()) {
                return "unknow";
            }
            String str4 = str2 + File.separator + new File(str).getName().concat(".zip");
            com.amap.location.icecream.a.a.b(str, str4);
            com.amap.location.icecream.a.a.a(str4, str2);
            String str5 = str2 + File.separator + "lib";
            if (!new File(str5).exists()) {
                str3 = null;
            } else if (!TextUtils.isEmpty(a) && !TextUtils.equals(a, "unknow")) {
                File file2 = new File(str5 + File.separator + a);
                if (!file2.exists()) {
                    return "unknow";
                }
                str3 = file2.getAbsolutePath();
            } else {
                File file3 = new File(str5 + File.separator + "armeabi-v7a");
                if (file3.exists()) {
                    str3 = file3.getAbsolutePath();
                } else {
                    File file4 = new File(str5 + File.separator + "armeabi");
                    if (!file4.exists()) {
                        return "unknow";
                    }
                    str3 = file4.getAbsolutePath();
                }
            }
            return str3;
        } catch (Throwable th) {
            com.amap.location.common.e.a.c("icecone", "get lib error:" + Log.getStackTraceString(th));
            return "unknow";
        }
    }

    private Class<?> a(String str, DexClassLoader dexClassLoader) {
        if (dexClassLoader == null) {
            return null;
        }
        try {
            return dexClassLoader.loadClass(str);
        } catch (Throwable th) {
            String str2 = this.d.a + b() + Log.getStackTraceString(th);
            com.amap.location.common.e.a.c("icecone", "class loader error:" + str2);
            UpTunnel.reportEvent(100055, str2.getBytes());
            return null;
        }
    }

    private void a(Context context) {
        if (TextUtils.equals(a, "unknow")) {
            if (Build.VERSION.SDK_INT >= 21) {
                try {
                    ApplicationInfo applicationInfo = context.getApplicationInfo();
                    Field declaredField = Class.forName(ApplicationInfo.class.getName()).getDeclaredField("primaryCpuAbi");
                    declaredField.setAccessible(true);
                    a = (String) declaredField.get(applicationInfo);
                } catch (Throwable th) {
                    com.amap.location.common.e.a.c("icecone", "get cpu type error:" + Log.getStackTraceString(th));
                }
            }
            com.amap.location.common.e.a.b("icecone", "get system cpu:" + a + ", sdk:" + Build.VERSION.SDK_INT);
        }
    }
}
