package com.amap.location.sdk.fusion;

import android.content.Context;
import android.location.GnssMeasurementsEvent;
import android.location.GnssNavigationMessage;
import android.location.GnssStatus;
import android.location.GpsSatellite;
import android.location.GpsStatus;
import android.location.Location;
import android.location.LocationListener;
import android.os.Bundle;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Looper;
import android.os.RemoteException;
import android.text.TextUtils;
import com.amap.location.common.f.g;
import com.amap.location.sdk.BuildConfig;
import com.amap.location.sdk.c.a.d;
import com.amap.location.sdk.fusion.ILocationAosProvider;
import com.amap.location.sdk.fusion.c;
import com.amap.location.sdk.fusion.interfaces.LocationNmeaListener;
import com.amap.location.sdk.fusion.interfaces.LocationSatelliteListener;
import com.amap.location.sdk.gnsscollector.interfaces.IGnssCollectorListener;
import java.io.File;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;
import org.json.JSONObject;

/* loaded from: classes.dex */
public class LocationManagerProxy {
    public static final int AN_LOCATION_ALL = 7;
    public static final int AN_LOCATION_GPS = 1;
    public static final int AN_LOCATION_INDOOR = 4;
    public static final int AN_LOCATION_NETWORK = 2;
    public static final int AN_LOCATION_NONE = 0;
    public static final int PAPA_TYPE_ENGINE_NAVI_LINK = 8;
    public static final int PARA_TYPE_AMAP_CLOUD = 6;
    public static final int PARA_TYPE_APP_STATUS = 7;
    public static final int PARA_TYPE_ATUO_PROPERTY = 9;
    public static final int PARA_TYPE_COMMON = 1;
    public static final int PARA_TYPE_FEEDBACK = 3;
    public static final int PARA_TYPE_FLP = 2;
    public static final int PARA_TYPE_NAVI = 4;
    public static final int PARA_TYPE_TESTURL = 5;
    public static volatile LocationManagerProxy a = null;
    public static boolean g = true;
    public Context c;
    public LocationListener d;
    public LocationStatusListener e;
    public JSONObject k;
    public Thread m;
    public volatile Handler n;
    public a p;
    public a q;
    public a r;
    public com.amap.location.sdk.gnsscollector.b v;
    public static Object b = new Object();
    public static StringBuffer s = new StringBuffer();
    public boolean f = false;
    public long h = 86400000;
    public float i = 0.0f;
    public int j = 0;
    public List<JSONObject> l = new CopyOnWriteArrayList();
    public List<Runnable> o = new ArrayList();
    public ILocationExternalProvider t = null;
    public boolean u = false;
    public c.a w = new c.a() { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.9
        @Override // com.amap.location.sdk.fusion.c.a
        public void a(Location location) {
            Location location2 = new Location(location);
            StringBuilder sb = new StringBuilder();
            sb.append("get sub loc callback:");
            sb.append(com.amap.location.common.e.a.a(com.amap.location.common.e.b.a(location2) + " drive:" + LocationManagerProxy.this.u));
            com.amap.location.common.e.a.b("mainmgrproxy", sb.toString());
            boolean unused = LocationManagerProxy.g = false;
            if (LocationManagerProxy.this.d != null) {
                LocationManagerProxy.this.d.onLocationChanged(location2);
            }
        }

        @Override // com.amap.location.sdk.fusion.c.a
        public void b(String str) {
            if (LocationManagerProxy.this.d != null) {
                LocationManagerProxy.this.d.onProviderDisabled(str);
            }
        }

        @Override // com.amap.location.sdk.fusion.c.a
        public void a(String str, int i, Bundle bundle) {
            if (LocationManagerProxy.this.d != null) {
                LocationManagerProxy.this.d.onStatusChanged(str, i, bundle);
            }
        }

        @Override // com.amap.location.sdk.fusion.c.a
        public void a(String str) {
            if (LocationManagerProxy.this.d != null) {
                LocationManagerProxy.this.d.onProviderEnabled(str);
            }
        }

        @Override // com.amap.location.sdk.fusion.c.a
        public void a() {
            com.amap.location.common.e.a.b("mainmgrproxy", "sub process connect");
            if (LocationManagerProxy.this.r != null) {
                LocationManagerProxy.this.r.b();
                LocationManagerProxy locationManagerProxy = LocationManagerProxy.this;
                locationManagerProxy.r = locationManagerProxy.p;
                LocationManagerProxy.this.r.a(LocationManagerProxy.this.e);
                if (LocationManagerProxy.this.k != null) {
                    LocationManagerProxy.this.r.a(LocationManagerProxy.this.k);
                }
                if (LocationManagerProxy.this.l.size() > 0) {
                    for (JSONObject jSONObject : LocationManagerProxy.this.l) {
                        if (jSONObject != null) {
                            LocationManagerProxy.this.p.a(LocationParams.PARA_COMMAND_AMAP_CLOUD, 0, 0, jSONObject.toString());
                        }
                    }
                }
                LocationManagerProxy.this.l.clear();
                if (LocationManagerProxy.this.t != null) {
                    LocationManagerProxy.this.r.a(LocationManagerProxy.this.y);
                }
                if (LocationManagerProxy.this.f) {
                    LocationManagerProxy.this.r.a(LocationManagerProxy.this.j, LocationManagerProxy.this.h, LocationManagerProxy.this.i, LocationManagerProxy.g);
                }
            }
        }

        @Override // com.amap.location.sdk.fusion.c.a
        public void a(int i) {
            com.amap.location.common.e.a.b("mainmgrproxy", "sub process disconnect   reason:" + i);
            if (LocationManagerProxy.this.r == LocationManagerProxy.this.p) {
                LocationManagerProxy locationManagerProxy = LocationManagerProxy.this;
                locationManagerProxy.r = locationManagerProxy.q;
                if (LocationManagerProxy.this.k != null) {
                    LocationManagerProxy.this.r.a(LocationManagerProxy.this.k);
                }
                if (LocationManagerProxy.this.f) {
                    LocationManagerProxy.this.r.a(LocationManagerProxy.this.j, LocationManagerProxy.this.h, LocationManagerProxy.this.i, LocationManagerProxy.g);
                }
            }
        }
    };
    public LocationListener x = new LocationListener() { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.10
        @Override // android.location.LocationListener
        public void onLocationChanged(Location location) {
            Location location2 = new Location(location);
            StringBuilder sb = new StringBuilder();
            sb.append("get main loc callback:");
            sb.append(com.amap.location.common.e.a.a(com.amap.location.common.e.b.a(location2) + " drive:" + LocationManagerProxy.this.u));
            com.amap.location.common.e.a.b("mainmgrproxy", sb.toString());
            boolean unused = LocationManagerProxy.g = false;
            if (LocationManagerProxy.this.d != null) {
                LocationManagerProxy.this.d.onLocationChanged(location2);
            }
        }

        @Override // android.location.LocationListener
        public void onProviderDisabled(String str) {
            if (LocationManagerProxy.this.d != null) {
                LocationManagerProxy.this.d.onProviderDisabled(str);
            }
        }

        @Override // android.location.LocationListener
        public void onProviderEnabled(String str) {
            if (LocationManagerProxy.this.d != null) {
                LocationManagerProxy.this.d.onProviderEnabled(str);
            }
        }

        @Override // android.location.LocationListener
        public void onStatusChanged(String str, int i, Bundle bundle) {
            if (LocationManagerProxy.this.d != null) {
                LocationManagerProxy.this.d.onStatusChanged(str, i, bundle);
            }
        }
    };
    public ILocationAosProvider y = new ILocationAosProvider.Stub() { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.2
        @Override // com.amap.location.sdk.fusion.ILocationAosProvider
        public String a(String str) throws RemoteException {
            if (LocationManagerProxy.this.t != null) {
                return LocationManagerProxy.this.t.aosEncrypt(str);
            }
            return null;
        }

        @Override // com.amap.location.sdk.fusion.ILocationAosProvider
        public byte[] a(byte[] bArr) throws RemoteException {
            if (LocationManagerProxy.this.t != null) {
                return LocationManagerProxy.this.t.aosEncrypt(bArr);
            }
            return null;
        }
    };

    /* JADX INFO: Access modifiers changed from: private */
    public boolean a(int i) {
        return i > 0 && i <= 7;
    }

    public static void addCrashInfo(String str) {
        try {
            if (TextUtils.isEmpty(str)) {
                return;
            }
            StringBuffer stringBuffer = s;
            stringBuffer.append(str);
            stringBuffer.append("\r\n");
        } catch (Throwable th) {
            com.amap.location.common.e.a.a(th);
        }
    }

    public static String getCrashInfo() {
        try {
            return s.toString();
        } catch (Throwable th) {
            com.amap.location.common.e.a.a(th);
            return "";
        }
    }

    public static LocationManagerProxy getInstance() {
        if (a == null) {
            synchronized (b) {
                if (a == null) {
                    a = new LocationManagerProxy();
                }
            }
        }
        return a;
    }

    public synchronized void addCollectorListener(final IGnssCollectorListener iGnssCollectorListener, final int i, final int i2, final int i3) {
        if (com.amap.location.common.b.a() != 3) {
            com.amap.location.common.e.a.c("mainmgrproxy", "is not auto");
        } else {
            a(new Runnable() { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.7
                @Override // java.lang.Runnable
                public void run() {
                    if (LocationManagerProxy.this.v == null) {
                        LocationManagerProxy locationManagerProxy = LocationManagerProxy.this;
                        locationManagerProxy.v = new com.amap.location.sdk.gnsscollector.b(locationManagerProxy.c, iGnssCollectorListener, i, i2, i3);
                    }
                    LocationManagerProxy.this.v.a(Looper.myLooper());
                }
            });
        }
    }

    @Deprecated
    public void addGpsStatusListener(GpsStatus.Listener listener, Looper looper) {
        Context context = this.c;
        if (context != null) {
            com.amap.location.g.b.a.a(context).a(listener, looper);
        }
    }

    public void addNmeaListener(LocationNmeaListener locationNmeaListener, Looper looper) {
        Context context = this.c;
        if (context == null || locationNmeaListener == null) {
            return;
        }
        try {
            com.amap.location.g.b.a.a(context).a(locationNmeaListener.getAmapNmeaListener(), looper);
        } catch (SecurityException e) {
            com.amap.location.common.e.a.a(e);
        }
    }

    public void addSatelliteListener(LocationSatelliteListener locationSatelliteListener, Looper looper) {
        Context context = this.c;
        if (context == null || locationSatelliteListener == null) {
            return;
        }
        try {
            com.amap.location.g.b.a.a(context).a(locationSatelliteListener.getAmapSatelliteStatusListener(), looper);
        } catch (SecurityException e) {
            com.amap.location.common.e.a.a(e);
        }
    }

    public void destroy() {
        a(new Runnable() { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.3
            @Override // java.lang.Runnable
            public void run() {
                com.amap.location.common.e.a.b("mainmgrproxy", "loc main destroy");
                LocationManagerProxy.this.d = null;
                LocationManagerProxy.this.f = false;
                LocationManagerProxy.this.t = null;
                LocationManagerProxy.this.v = null;
                LocationManagerProxy.this.p.d();
                LocationManagerProxy.this.q.d();
            }
        });
    }

    public int getGpsControlStatus() {
        a aVar = this.r;
        if (aVar != null) {
            return aVar.c();
        }
        return 0;
    }

    public GpsStatus getGpsStatus(GpsStatus gpsStatus) {
        try {
            if (gpsStatus == null) {
                GpsStatus a2 = com.amap.location.g.b.a.a(this.c).a((GpsStatus) null);
                if (a2 != null) {
                    Iterator<GpsSatellite> it = a2.getSatellites().iterator();
                    while (it.hasNext()) {
                        it.next().usedInFix();
                    }
                }
                return a2;
            }
            return com.amap.location.g.b.a.a(this.c).a(gpsStatus);
        } catch (Exception unused) {
            return null;
        }
    }

    public String getRequest(String str) {
        a aVar;
        if (TextUtils.isEmpty(str) || (aVar = this.r) == null) {
            return null;
        }
        return aVar.a(str);
    }

    public synchronized void init(Context context) {
        this.c = context.getApplicationContext();
        com.amap.location.sdk.c.b.a(context);
        com.amap.api.service.b.a(this.c);
        com.amap.location.common.b.d(this.c.getPackageName());
        if ("amap_auto".equalsIgnoreCase(com.amap.api.service.b.c())) {
            com.amap.location.common.b.b("CB255E082A5B433B911D9DF8D6B1141A");
            com.amap.location.common.b.a((byte) 3);
        } else {
            com.amap.location.common.b.b("ABKLWEH8H9LH09NLB5CCAGHK78BYZ89");
            com.amap.location.common.b.a((byte) 0);
            com.amap.location.sdk.f.c.a(this.c);
            com.amap.location.sdk.f.c.b(this.c);
        }
        com.amap.location.common.b.a(BuildConfig.VERSION_NAME);
        if (this.m == null || this.n == null) {
            HandlerThread handlerThread = new HandlerThread("locationThread") { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.1
                @Override // android.os.HandlerThread
                public void onLooperPrepared() {
                    com.amap.location.common.e.a.b("mainmgrproxy", "loc main process looper ok");
                    Looper looper = getLooper();
                    LocationManagerProxy.this.n = new Handler(looper);
                    d.a(LocationManagerProxy.this.c, false);
                    LocationManagerProxy locationManagerProxy = LocationManagerProxy.this;
                    locationManagerProxy.q = new b(locationManagerProxy.c, LocationManagerProxy.this.x, looper);
                    LocationManagerProxy locationManagerProxy2 = LocationManagerProxy.this;
                    locationManagerProxy2.p = new c(locationManagerProxy2.c, LocationManagerProxy.this.w, looper);
                    LocationManagerProxy locationManagerProxy3 = LocationManagerProxy.this;
                    locationManagerProxy3.r = locationManagerProxy3.b();
                    if (LocationManagerProxy.this.t != null && LocationManagerProxy.this.r != null) {
                        LocationManagerProxy.this.r.a(LocationManagerProxy.this.y);
                    }
                    synchronized (LocationManagerProxy.this.o) {
                        if (LocationManagerProxy.this.o.size() > 0) {
                            Iterator it = LocationManagerProxy.this.o.iterator();
                            while (it.hasNext()) {
                                LocationManagerProxy.this.n.post((Runnable) it.next());
                            }
                            LocationManagerProxy.this.o.clear();
                        }
                    }
                    d.a(100227);
                }
            };
            this.m = handlerThread;
            handlerThread.start();
        }
    }

    public boolean isFLPValid() {
        return false;
    }

    public boolean isProviderEnabled(int i) {
        boolean z = false;
        if ((i & 1) == 1) {
            try {
                z = com.amap.location.g.b.a.a(this.c).a("gps");
            } catch (Exception unused) {
            }
        }
        if ((i & 2) == 2 || (i & 4) == 4) {
            return true;
        }
        return z;
    }

    public boolean registerGnssMeasurementsCallback(GnssMeasurementsEvent.Callback callback, Looper looper) {
        Context context = this.c;
        if (context == null) {
            return false;
        }
        try {
            return com.amap.location.g.b.a.a(context).a(callback, looper);
        } catch (SecurityException e) {
            com.amap.location.common.e.a.a(e);
            return false;
        }
    }

    public boolean registerGnssNavigationMessageCallback(GnssNavigationMessage.Callback callback, Looper looper) {
        Context context = this.c;
        if (context == null) {
            return false;
        }
        try {
            return com.amap.location.g.b.a.a(context).a(callback, looper);
        } catch (SecurityException e) {
            com.amap.location.common.e.a.a(e);
            return false;
        }
    }

    public boolean registerGnssStatusCallback(GnssStatus.Callback callback, Looper looper) {
        Context context = this.c;
        if (context == null) {
            return false;
        }
        try {
            return com.amap.location.g.b.a.a(context).a(callback, looper);
        } catch (SecurityException e) {
            com.amap.location.common.e.a.a(e);
            return false;
        }
    }

    public synchronized void removeCollectorListener() {
        if (com.amap.location.common.b.a() != 3) {
            com.amap.location.common.e.a.c("mainmgrproxy", "is not auto");
        } else {
            a(new Runnable() { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.8
                @Override // java.lang.Runnable
                public void run() {
                    if (LocationManagerProxy.this.v != null) {
                        LocationManagerProxy.this.v.a();
                    }
                }
            });
        }
    }

    public void removeGpsStatusListener(GpsStatus.Listener listener) {
        Context context = this.c;
        if (context != null) {
            com.amap.location.g.b.a.a(context).a(listener);
        }
    }

    public void removeNmeaListener(LocationNmeaListener locationNmeaListener) {
        Context context = this.c;
        if (context == null || locationNmeaListener == null) {
            return;
        }
        try {
            com.amap.location.g.b.a.a(context).a(locationNmeaListener.getAmapNmeaListener());
        } catch (SecurityException e) {
            com.amap.location.common.e.a.a(e);
        }
    }

    public void removeSatelliteListener(LocationSatelliteListener locationSatelliteListener) {
        Context context = this.c;
        if (context == null || locationSatelliteListener == null) {
            return;
        }
        try {
            com.amap.location.g.b.a.a(context).a(locationSatelliteListener.getAmapSatelliteStatusListener());
        } catch (SecurityException e) {
            com.amap.location.common.e.a.a(e);
        }
    }

    public synchronized void removeUpdates(LocationListener locationListener) {
        a(new Runnable() { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.6
            @Override // java.lang.Runnable
            public void run() {
                com.amap.location.common.e.a.b("mainmgrproxy", "remove loc");
                LocationManagerProxy.this.r.b();
                LocationManagerProxy.this.d = null;
                LocationManagerProxy.this.f = false;
            }
        });
    }

    public synchronized void requestLocationUpdates(final int i, final long j, final float f, final LocationListener locationListener) {
        a(new Runnable() { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.5
            @Override // java.lang.Runnable
            public void run() {
                if (!LocationManagerProxy.this.a(i)) {
                    throw new IllegalArgumentException("wrong location type:" + i);
                }
                if (f < 0.0f || locationListener == null || j < 0) {
                    return;
                }
                if (i == LocationManagerProxy.this.j && j == LocationManagerProxy.this.h && f == LocationManagerProxy.this.i && locationListener == LocationManagerProxy.this.d && LocationManagerProxy.this.f) {
                    return;
                }
                com.amap.location.common.e.a.b("mainmgrproxy", "request loc:" + i);
                long j2 = j;
                if (j2 == 0) {
                    LocationManagerProxy.this.h = 1000L;
                } else {
                    LocationManagerProxy.this.h = j2;
                }
                LocationManagerProxy.this.i = f;
                LocationManagerProxy.this.j = i;
                LocationManagerProxy.this.d = locationListener;
                LocationManagerProxy.this.f = true;
                LocationManagerProxy.this.r.a(i, LocationManagerProxy.this.h, f, LocationManagerProxy.g);
            }
        });
    }

    public void sendMMData(long j, double d, double d2, double d3, int i) {
        a aVar = this.r;
        if (aVar == null || aVar != this.p) {
            return;
        }
        aVar.a(j, d, d2, d3, i);
    }

    public void setLocationExternalImpl(ILocationExternalProvider iLocationExternalProvider) {
        this.t = iLocationExternalProvider;
        a aVar = this.r;
        if (aVar != null) {
            aVar.a(this.y);
        }
    }

    public void setParams(final int i, final JSONObject jSONObject) {
        a(new Runnable() { // from class: com.amap.location.sdk.fusion.LocationManagerProxy.4
            @Override // java.lang.Runnable
            public void run() {
                com.amap.location.common.e.a.b("mainmgrproxy", "update request mode:" + i);
                switch (i) {
                    case 1:
                        JSONObject jSONObject2 = jSONObject;
                        if (jSONObject2 != null) {
                            LocationManagerProxy.this.k = jSONObject2;
                            LocationManagerProxy.this.r.a(jSONObject);
                            if ((LocationManagerProxy.this.r instanceof b) && "amap_auto".equalsIgnoreCase(com.amap.api.service.b.c())) {
                                String optString = jSONObject.optString(LocationParams.PARA_AUTO_LOG_PATH, "");
                                if (!TextUtils.isEmpty(optString)) {
                                    g.a(new File(optString));
                                    com.amap.location.sdk.f.c.b(LocationManagerProxy.this.c);
                                }
                            }
                            try {
                                com.amap.location.common.a.a(LocationManagerProxy.this.c, jSONObject.optString(LocationParams.PARA_COMMON_TID, ""));
                                com.amap.location.common.a.a(jSONObject.optString(LocationParams.PARA_COMMON_DIU, ""));
                                String b2 = com.amap.location.common.a.b();
                                String optString2 = jSONObject.optString(LocationParams.PARA_COMMON_ADIU, "");
                                if (!TextUtils.isEmpty(optString2) && !optString2.equals(b2)) {
                                    com.amap.location.common.a.b(LocationManagerProxy.this.c, optString2);
                                }
                                com.amap.location.common.a.b(jSONObject.optString(LocationParams.PARA_COMMON_OAID, ""));
                                return;
                            } catch (Exception e) {
                                com.amap.location.common.e.a.a(e);
                                return;
                            }
                        }
                        return;
                    case 2:
                    default:
                        return;
                    case 3:
                        LocationManagerProxy.this.c();
                        return;
                    case 4:
                        LocationManagerProxy.this.a(jSONObject);
                        return;
                    case 5:
                        LocationManagerProxy.this.c(jSONObject);
                        return;
                    case 6:
                        LocationManagerProxy.this.d(jSONObject);
                        return;
                    case 7:
                        LocationManagerProxy.this.b(jSONObject);
                        return;
                    case 8:
                        LocationManagerProxy.this.e(jSONObject);
                        return;
                    case 9:
                        if (LocationManagerProxy.this.r == LocationManagerProxy.this.p && com.amap.location.common.b.a() == 3 && jSONObject != null) {
                            LocationManagerProxy.this.p.a(LocationParams.PARA_COMMAND_ATUO_PROPERTY, 0, 0, jSONObject.toString());
                            return;
                        }
                        return;
                }
            }
        });
    }

    public void setStatusListener(LocationStatusListener locationStatusListener) {
        this.e = locationStatusListener;
        a aVar = this.r;
        if (aVar != null) {
            aVar.a(locationStatusListener);
        }
    }

    public void testUnbindLocationProcessService() {
    }

    public void unregisterGnssMeasurementsCallback(GnssMeasurementsEvent.Callback callback) {
        Context context = this.c;
        if (context != null) {
            com.amap.location.g.b.a.a(context).a(callback);
        }
    }

    public void unregisterGnssNavigationMessageCallback(GnssNavigationMessage.Callback callback) {
        Context context = this.c;
        if (context != null) {
            com.amap.location.g.b.a.a(context).a(callback);
        }
    }

    public void unregisterGnssStatusCallback(GnssStatus.Callback callback) {
        Context context = this.c;
        if (context != null) {
            com.amap.location.g.b.a.a(context).a(callback);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void d(JSONObject jSONObject) {
        a aVar = this.r;
        a aVar2 = this.p;
        if (aVar == aVar2) {
            if (jSONObject != null) {
                aVar2.a(LocationParams.PARA_COMMAND_AMAP_CLOUD, 0, 0, jSONObject.toString());
            }
        } else if (jSONObject != null) {
            this.l.add(jSONObject);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void e(JSONObject jSONObject) {
        a aVar = this.r;
        a aVar2 = this.p;
        if (aVar != aVar2 || jSONObject == null) {
            return;
        }
        aVar2.a(LocationParams.PARA_COMMAND_ENGINE_NAVI_LINK, 0, 0, jSONObject.toString());
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void c() {
        com.amap.location.sdk.f.c.c(this.c);
        a aVar = this.r;
        a aVar2 = this.p;
        if (aVar == aVar2) {
            aVar2.a(LocationParams.PARA_FEEDBAK_ENGINE, 0, 0, (String) null);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public a b() {
        a aVar = this.p;
        if (aVar != null && aVar.a()) {
            return this.p;
        }
        return this.q;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void c(JSONObject jSONObject) {
        a aVar = this.r;
        a aVar2 = this.p;
        if (aVar != aVar2 || jSONObject == null) {
            return;
        }
        aVar2.a(LocationParams.PARA_COMMAND_TESTURL, 0, 0, jSONObject.toString());
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(JSONObject jSONObject) {
        int i = -1;
        if (jSONObject != null) {
            try {
                i = jSONObject.optInt(LocationParams.PARA_COMMAND_APP_STATUS, -1);
            } catch (Exception unused) {
            }
        }
        a aVar = this.r;
        a aVar2 = this.p;
        if (aVar != aVar2 || jSONObject == null) {
            return;
        }
        aVar2.a(LocationParams.PARA_COMMAND_APP_STATUS, i, 0, (String) null);
    }

    private synchronized void a(Runnable runnable) {
        synchronized (this.o) {
            if (this.n == null) {
                this.o.add(runnable);
            } else {
                this.n.post(runnable);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Removed duplicated region for block: B:14:0x000f  */
    /* JADX WARN: Removed duplicated region for block: B:5:0x000d  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void a(org.json.JSONObject r6) {
        /*
            r5 = this;
            java.lang.String r0 = "cmdnavi"
            r1 = 0
            if (r6 == 0) goto La
            int r2 = r6.optInt(r0, r1)     // Catch: java.lang.Exception -> La
            goto Lb
        La:
            r2 = 0
        Lb:
            if (r2 <= 0) goto Lf
            r3 = 1
            goto L10
        Lf:
            r3 = 0
        L10:
            r5.u = r3
            com.amap.location.sdk.fusion.a r3 = r5.r
            com.amap.location.sdk.fusion.a r4 = r5.p
            if (r3 != r4) goto L1e
            if (r6 == 0) goto L1e
            r6 = 0
            r4.a(r0, r2, r1, r6)
        L1e:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.amap.location.sdk.fusion.LocationManagerProxy.a(org.json.JSONObject):void");
    }
}
