package com.autonavi.amapauto.protocol.model.service;

import java.io.Serializable;
import java.util.ArrayList;
import org.json.JSONArray;
import org.json.JSONObject;

/* loaded from: classes.dex */
public final class TmcSegmentModel_JsonLubeParser implements Serializable {
    public static TmcSegmentModel parse(JSONObject jSONObject) {
        if (jSONObject == null) {
            return null;
        }
        TmcSegmentModel tmcSegmentModel = new TmcSegmentModel();
        tmcSegmentModel.setClientPackageName(jSONObject.optString("clientPackageName", tmcSegmentModel.getClientPackageName()));
        tmcSegmentModel.setPackageName(jSONObject.optString("packageName", tmcSegmentModel.getPackageName()));
        tmcSegmentModel.setCallbackId(jSONObject.optInt("callbackId", tmcSegmentModel.getCallbackId()));
        tmcSegmentModel.setTimeStamp(jSONObject.optLong("timeStamp", tmcSegmentModel.getTimeStamp()));
        tmcSegmentModel.setVar1(jSONObject.optString("var1", tmcSegmentModel.getVar1()));
        tmcSegmentModel.g(jSONObject.optInt("tmcEnabled", tmcSegmentModel.r()));
        tmcSegmentModel.f(jSONObject.optInt("size", tmcSegmentModel.q()));
        tmcSegmentModel.h(jSONObject.optInt("totalDistance", tmcSegmentModel.t()));
        tmcSegmentModel.d(jSONObject.optInt("remainDistance", tmcSegmentModel.o()));
        tmcSegmentModel.i(jSONObject.optInt("totalTime", tmcSegmentModel.u()));
        tmcSegmentModel.e(jSONObject.optInt("remainTime", tmcSegmentModel.p()));
        tmcSegmentModel.c(jSONObject.optInt("finishDistance", tmcSegmentModel.n()));
        JSONArray optJSONArray = jSONObject.optJSONArray("tmcInfoList");
        if (optJSONArray != null) {
            int length = optJSONArray.length();
            ArrayList arrayList = new ArrayList(length);
            for (int i = 0; i < length; i++) {
                arrayList.add(TmcItemInfo_JsonLubeParser.parse(optJSONArray.optJSONObject(i)));
            }
            tmcSegmentModel.a(arrayList);
        }
        return tmcSegmentModel;
    }
}
