package com.dingtalk.mobile.common.adapter;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import defpackage.zr0;

/* loaded from: classes.dex */
public abstract class BifrostRigorousNetworkConnReceiver extends BroadcastReceiver {
    public int a;
    public int b;
    public Boolean c;

    public final int a(Context context) {
        NetworkInfo networkInfo;
        Boolean bool;
        try {
            networkInfo = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
        } catch (Throwable th) {
            zr0.d("BifrostRigorousNetworkConnReceiver", "getActiveNetworkInfo exception. " + th.toString());
            networkInfo = null;
        }
        if (networkInfo == null) {
            zr0.c("BifrostRigorousNetworkConnReceiver", "当前无网络!");
            this.c = false;
            return 0;
        }
        boolean isAvailable = networkInfo.isAvailable();
        boolean isConnected = networkInfo.isConnected();
        int type = networkInfo.getType();
        int subtype = networkInfo.getSubtype();
        String extraInfo = networkInfo.getExtraInfo();
        if (this.a != -1 && this.b != -1 && (bool = this.c) != null) {
            if (bool.booleanValue() == isConnected && this.a == type && this.b == subtype) {
                zr0.c("BifrostRigorousNetworkConnReceiver", " Old contivity broadcast！");
                return 2;
            }
        } else {
            zr0.c("BifrostRigorousNetworkConnReceiver", " New contivity broadcast！");
        }
        this.c = Boolean.valueOf(isConnected);
        this.a = type;
        this.b = subtype;
        zr0.a("BifrostRigorousNetworkConnReceiver", " type=[" + type + "] subType=[" + subtype + "]  available=[" + isAvailable + "] connected=[" + isConnected + "] detailedState=[" + networkInfo.getDetailedState() + "] extraInfo=[" + extraInfo + "]");
        StringBuilder sb = new StringBuilder();
        sb.append(" activeNetworkInfo hashcode=");
        sb.append(networkInfo.hashCode());
        sb.append("  activeNetworkInfo = [");
        sb.append(networkInfo.toString());
        sb.append("]\n\n\n");
        zr0.a("BifrostRigorousNetworkConnReceiver", sb.toString());
        return !this.c.booleanValue() ? 0 : 1;
    }

    public abstract void a(Context context, Intent intent);

    @Override // android.content.BroadcastReceiver
    public void onReceive(Context context, Intent intent) {
        if (intent == null) {
            return;
        }
        try {
            zr0.c("monitor", "onReceive at: " + getClass().getName() + ", Intent: " + intent);
            if ("android.net.conn.CONNECTIVITY_CHANGE".equals(intent.getAction())) {
                int a = a(context);
                if (a == 0) {
                    zr0.a("BifrostRigorousNetworkConnReceiver", "NetworkConnectivityReceiver#onReceive 网络不可用");
                    a(context, intent);
                } else if (a == 1) {
                    zr0.a("BifrostRigorousNetworkConnReceiver", "NetworkConnectivityReceiver#onReceive 网络变化");
                    a(context, intent);
                }
            }
        } catch (Throwable th) {
            zr0.a("BifrostRigorousNetworkConnReceiver", "onReceive exception:", th);
        }
    }
}
