package defpackage;

import android.content.Intent;
import com.autonavi.amapauto.jni.protocol.AndroidProtocolExe;
import com.autonavi.amapauto.jni.protocol.data.ALResponeData;
import com.autonavi.amapauto.jni.protocol.data.JsonHeader;
import com.autonavi.amapauto.jni.protocol.data.NaviExitInfoData;
import com.autonavi.amapauto.protocol.constant.StandardProtocolKey;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
import com.autonavi.amapauto.protocol.model.client.RequestHighwayExitModel;
import com.autonavi.amapauto.protocol.model.service.HighwayExitModel;
import com.autonavi.amapauto.protocol.model.service.ProtocolErrorModel;

/* compiled from: NaviExitInfoAction.java */
/* loaded from: classes.dex */
public class e00 extends ov implements t50, s50 {
    public int k;

    public e00() {
    }

    @Override // defpackage.s50
    public ProtocolBaseModel a() {
        ALResponeData g = g();
        if (g == null) {
            aa0.a("NaviExitInfoAction", "NaviExitInfoData == NULL", new Object[0]);
            return null;
        }
        int i = g.resultCode;
        if (i == -2) {
            this.d = 10023;
        } else if (i == -1) {
            this.d = 10004;
        } else if (i == 1) {
            this.d = 10000;
            g.isSuccessed = true;
        }
        if (g.isSuccessed) {
            if (g.isNewJsonResult) {
                return o();
            }
            NaviExitInfoData naviExitInfoData = (NaviExitInfoData) g;
            HighwayExitModel highwayExitModel = new HighwayExitModel();
            highwayExitModel.b(naviExitInfoData.exitSerialNumber);
            highwayExitModel.c(naviExitInfoData.exitNumber);
            highwayExitModel.a(naviExitInfoData.distance);
            highwayExitModel.b(naviExitInfoData.time);
            highwayExitModel.a(naviExitInfoData.exitDirection);
            return highwayExitModel;
        }
        return new ProtocolErrorModel(this.d);
    }

    @Override // defpackage.t50
    public Intent b() {
        ALResponeData g = g();
        if (g == null) {
            aa0.a("NaviExitInfoAction", "NaviExitInfoData == NULL", new Object[0]);
            return null;
        }
        if (g.isNewJsonResult) {
            HighwayExitModel o = o();
            int i = g.resultCode;
            if (i == 10000) {
                this.d = 1;
            } else if (i == 10004) {
                this.d = -1;
            } else if (i == 10023) {
                this.d = -2;
            }
            Intent intent = new Intent();
            intent.putExtra(StandardProtocolKey.EXIT_INFO_RESULT_STATE, this.d);
            intent.putExtra(StandardProtocolKey.EXIT_INFO_EXIT_NAME_NUM, o.q());
            intent.putExtra(StandardProtocolKey.EXIT_INFO_DIRECTION, o.p());
            intent.putExtra(StandardProtocolKey.EXIT_INFO_DISTANCE, o.n());
            intent.putExtra(StandardProtocolKey.EXIT_INFO_TIME, o.o());
            return intent;
        }
        NaviExitInfoData naviExitInfoData = (NaviExitInfoData) g;
        Intent intent2 = new Intent();
        intent2.putExtra(StandardProtocolKey.EXIT_INFO_RESULT_STATE, naviExitInfoData.resultCode);
        intent2.putExtra(StandardProtocolKey.EXIT_INFO_EXIT_NAME_NUM, naviExitInfoData.exitNumber);
        intent2.putExtra(StandardProtocolKey.EXIT_INFO_DIRECTION, naviExitInfoData.exitDirection);
        intent2.putExtra(StandardProtocolKey.EXIT_INFO_DISTANCE, naviExitInfoData.distance);
        intent2.putExtra(StandardProtocolKey.EXIT_INFO_TIME, naviExitInfoData.time);
        return intent2;
    }

    @Override // defpackage.ov
    public void c() {
        if (!AndroidProtocolExe.getReadyStatus()) {
            a(10018);
        } else {
            if (vd.i()) {
                RequestHighwayExitModel requestHighwayExitModel = new RequestHighwayExitModel();
                requestHighwayExitModel.setAnyExit(this.k == 0);
                a(requestHighwayExitModel);
                return;
            }
            AndroidProtocolExe.nativeRequestNaviExitInfo(f(), this.k);
        }
    }

    @Override // defpackage.ov
    public boolean j() {
        return true;
    }

    public final HighwayExitModel o() {
        ALResponeData g = g();
        HighwayExitModel highwayExitModel = new HighwayExitModel();
        try {
            return (HighwayExitModel) gd.a(JsonHeader.parseJsonToJsonObj(g.jsonString), HighwayExitModel.class);
        } catch (Exception e) {
            aa0.a("NaviExitInfoAction", e.getMessage(), e, new Object[0]);
            return highwayExitModel;
        }
    }

    public e00(Intent intent) {
        this.k = intent.getIntExtra(StandardProtocolKey.EXIT_INFO_TYPE, 1);
    }

    public e00(RequestHighwayExitModel requestHighwayExitModel) {
        this.k = !requestHighwayExitModel.isAnyExit() ? 1 : 0;
    }
}
